#!/bin/bash
#ExcludeArch: ia64
#ExcludeArch: alpha
#ExcludeArch: alpha ia64

Name: XFree86
Version: 4.2.0
Release: 8

%define Build_7x        1
%define Build_72        0

%if %{Build_7x}
#%define BuildXwrapper   1
%define BuildXwrapper   0
%else
%define BuildXwrapper   0
%endif

%define BuildIncludeSDK     0

# Takes advantage of SMP systems when building if enabled.  Disable when
# debugging builds with major new XFree86 versions until parallel building is
# known to work again.
# FIXME: broken in 4.1.99.2 (Nov 1, 2001)
%define ParallelBuild		0
%define VerboseBuild		1
# Builds X with debug symbol info.  This results in *FRECKIN* *HUGE* packages.
# Enable this if you want to debug the modular X server.  As of gdb 5.0, this
# requires patches to gdb to be completely useful.
# I MEAN HUGE, ie 2-3 times the size!  Don't complain - you've been warned!
%define DebuggableBuild		0
# For future automated nightly builds of XFree86 CVS
%define CVSBuild            0
%define XFree86CVSDate		2002011806

%define Glide3version		20010520
%define Glide3Libver		3.10.0
# Only valid and used, if WithExternalMesa is set below.  I've set it to epoch
# 4 dependancy for 4.2.0, but havent built sucvh a package yet.  Only needed
# perhaps in the case of an erratum.
%define MesaPackageDep		4:3.4.2

%ifarch %{ix86} alpha ia64
%define BuildTdfx		1
# NEED GLIDE 2 first before this can be enabled
%define BuildVoodoo		0
%else
%define BuildTdfx		0
%define BuildVoodoo		0
%endif

%define WithNewSavageDriver     0

%define BuildKernelDRMModules	0
%define BuildXterm3d            1

# The "WithExternalMesa" define is intended for distribution use to enable
# external Mesa legacy support for OpenGL compat with 3.3.6.  Users
# rebuilding XFree86 4.x probably want to set this to "0", the default is "1".
%if %{Build_7x}
# This normally would be set to 1 for 7.x _distro_ builds.  It would require
# a separate Mesa which has been patched to have 4.2.0 dri code though, and
# that isn't going to happen any time soon, so I'm defaulting this to 0.
# It only makes sense to set it to 1 for distro builds by poor suckers like me.
#%define WithExternalMesa	1
%define WithExternalMesa	0
# This MUST be set to 0 for 7.x builds.  If it is set to 1, change it to 0,
# as I sometimes need to set it to 1 while doing developmental testing.
%define with_ttmkfdir       1
%define ObsoleteXF3         0
%else
%define WithExternalMesa	0
%define with_ttmkfdir       1
%define ObsoleteXF3         1
%endif

# Command macros
#%define __mkfontdir umask 133;/usr/X11R6/bin/mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings -e /usr/X11R6/lib/X11/fonts/encodings/large
%define __mkfontdir umask 133;/usr/X11R6/bin/mkfontdir
# Disable rpm from stripping XFree86's modules, etc...
%define __spec_install_post /usr/lib/rpm/brp-compress

# This stuff does sweet fsck all right now.  Top secret work in progress. I've
# already told you to much.  Sorry, but we have to kill you now.
# FIXME: rename to _x11dir
%define XFdir          /usr/X11R6
%define XFbindir       %{XFdir}/bin
%define XFlibdir       %{XFdir}/lib
%define XFmandir       %{XFdir}/man
%define XFfontdir      %{XFlibdir}/X11/fonts

Summary: The basic fonts, programs and docs for an X workstation.
BuildRoot: %{_tmppath}/%{name}-%{version}-root
License: XFree86
Group: User Interface/X
URL: http://www.xfree86.org

BuildPrereq: freetype-devel >= 2.0.1, flex >= 2.5.4a, bison, zlib-devel
BuildPrereq: ncurses-devel
# PAM build requirements have required various files that have moved around,
# which is a pain in the butt.  I've now made it require the particular header
# file which is needed in all cases, but has moved around, so we dont need
# separate deps depending on what version of Red Hat Linux is used to build under.
#%if %{Build_7x}
#BuildPrereq: /lib/libpam.so
#%else
#BuildPrereq: pam-devel
#%endif
BuildPrereq: /usr/include/security/pam_modules.h

# Added when Glide3 was separated back out.
# Wont build in RH 7.2 buildroots now as Glide3 headers weren't supplied in 7.2
# FIXME: This does not build correctly on ppc and likely other arch's
%ifarch %{ix86} alpha ia64
Requires: Glide3
%if %{Build_72}
BuildPrereq: XFree86-devel >= 4.1.0-3
%else
BuildPrereq: Glide3-devel >= 20010520
%endif
%endif

Requires: XFree86-xfs = %{version}, XFree86-libs = %{version}
Requires: XFree86-base-fonts = %{version}-%{release}

Requires: /etc/pam.d/system-auth
# kernel-drm requirement is so DRI works properly.  The kernel RPM package
# should have a "Provides: kernel-drm = 4.2.0".  Future kernels that provide
# new kernel-drm, should list all supported DRM interfaces with multiple
# Provides: lines.  The 4.2.0 DRM is backward compatible with XFree86 4.1.0
# also.                                                 <mharris@redhat.com>
%ifnarch ppc ppc64 s390 s390x sparc sparc64
Requires: kernel-drm = 4.2.0
%endif

Prereq: /bin/ln, /usr/sbin/chkfontpath, /usr/X11R6/bin/mkfontdir
%if %{WithExternalMesa}
BuildPrereq: Mesa-devel >= %{MesaPackageDep}
Requires: Mesa >= %{MesaPackageDep}
%endif

%if %{BuildXterm3d}
BuildPrereq: Xaw3d-devel
%endif

Obsoletes: XFree86-ATI
Obsoletes: XFree86-Alliance
Obsoletes: XFree86-ChipsTechnologies
Obsoletes: XFree86-Cirrus
Obsoletes: XFree86-Cyrix
Obsoletes: XFree86-i740
Obsoletes: XFree86-i810
Obsoletes: XFree86-mga
Obsoletes: XFree86-NeoMagic
Obsoletes: XFree86-NVidia
Obsoletes: XFree86-Rage128
Obsoletes: XFree86-Rendition
Obsoletes: XFree86-SiS
Obsoletes: XFree86-3dfx
Obsoletes: XFree86-Trident
Obsoletes: XFree86-Tseng
Obsoletes: XFree86-V4L
Obsoletes: tdfx_dri
Obsoletes: X11R6-contrib
# Added for latin2 fonts... (Removed for 4.2.0)
#Obsoletes: XFree86-ISO8859-2-Type1-fonts < 4.1.0
#Provides: XFree86-ISO8859-2-Type1-fonts

# Either build CVS source, or final bindist tagged sources.
%if %{CVSBuild}
Source:   XFree86-%{version}-%{XFree86CVSDate}.tar.bz2
%else
#Source:   XFree86-%{version}-bindist.tar.bz2
Source:   XFree86-%{version}.tar.bz2
%endif

Source3:  xserver.pamd
Source4:  xdm.pamd
Source5:  xfs.init
Source6:  xfs.config
Source7:  xdm.init
Source11: XFree86-ISO8859-2-Fontmap
# FIXME: Move this to Glide3 package
# GLIDE 3 - Create the Glide3 tarball by using:
#  cvs -d :pserver:anonymous@cvs.glide.sourceforge.net:/cvsroot/glide co Glide3
#  pushd Glide3 ; find . -name CVS -type d |xargs rm -rf
#  find . -name .cvsignore | xargs rm ; popd
#  tar Icf Glide3-$(date +"%Y%m%d").tar.bz2 Glide3/
#Source12: Glide3-%{Glide3version}.tar.bz2
# Savage driver 1.1.20t dropin (Oct 28, 2001) <mharris@redhat.com>
# This is Tim Roberts Savage driver for XFree86 4.1.0
#Source14: http://www.probo.com/timr/sav40-1.1.20t-src.tgz
Source20: XftConfig.redhat
Source21: ttmkfdir2.tar.bz2

# XFree86 stable branch patch
Patch0:   XFree86-4.2.0-xf-4_2-branch-patch-2002-02-06.patch

# Parallel make patch, designed specifically to hog all CPU's on all the
# build system boxes and make kernel builds take longer.  <evil grin>
Patch3:   XFree86-4.2.0-parallelmake-this-time-its-personal.patch
Patch4:   XFree86-4.2.0-parallelmake-libfont.patch

Patch7:   XFree86-4.2.0-xtermresources.patch
Patch12:  XFree86-4.0-broken-includes.patch
# Red Hat Custom default modelines patch (Mike A. Harris <mharris@redhat.com>)
Patch16: XFree86-4.2.0-redhat-custom-modelines.patch

# Patches 30-39 

# Patches 100-119: ati driver patches
Patch100: XFree86-4.2.0-ati-mach64-rage-XL.patch

# PATCHES 120-129 for ATI Rage 128

# Patches 140-159: radeon driver patches 
# ATI Radeon Mobility M7 (LX) support - Mike A. Harris <mharris@redhat.com>
Patch140: XFree86-4.2.0-ati-radeon-mobility-LX.patch
# Enable ATI Radeon PCIgart support for DRI.  It has now been reported to
# work on x86.  - Mike A. Harris <mharris@redhat.com>
Patch141: XFree86-4.2.0-ati-radeon-pci-drm-enable.patch 
Patch142: XFree86-4.2.0-ati-radeon-misc-bugfixes.patch

# Patches 160-169: mga driver patches
Patch160: XFree86-4.2.0-G450.patch
Patch161: XFree86-4.2.0-mga-g550-cursor.patch

# Patches 170-179: savage driver patches

# Patches 180-189: tdfx card driver patches
# Minor typo bugfix preventing 2048 video modes from working <mharris@redhat.com>
Patch180: XFree86-4.2.0-tdfx-should-be-2048-not-2046.patch
# Interlaced video mode support for Voodoo 3/4/5 <mharris@redhat.com>
# FIXME: (needs testing yet to make sure it works)
Patch181: XFree86-4.2.0-tdfx-enable-interlaced-modes.patch
# My attempt to fix VGA font corruption on VT switch <mharris@redhat.com>
# FIXME: (needs testing yet to make sure it works)
Patch182: XFree86-4.2.0-tdfx-fix-vtswitch-font-corruption.patch
# Disable DRI on 16Mb cards in high res (Mike A. Harris <mharris@redhat.com>)
# FIXME: (needs testing yet to make sure it works)
Patch183: XFree86-4.2.0-tdfx-disable-dri-on-16Mb-cards-in-hires.patch
# Fix compiler warnings in tdfx Mesa code
Patch189: XFree86-4.2.0-tdfx-fix-compiler-warnings.patch

# Patches 190-199: cirrus driver patches

# Patches 200-209: neomagic driver patches

# Patches 210-219: Intel i810 / i830 patches
Patch210: XFree86-4.2.0-i810-dont-use-empty-for-loops-for-delays.patch
Patch211: XFree86-4.2.0-i810-dont-force-XvMC-on-DRI-users.patch

# Patches 220-239: SiS driver patches
# Fixes swcursor option parsing in SiS driver (Mike A. Harris <mharris@redhat.com>)
# FIXME: (needs testing yet to make sure it works)
Patch220: XFree86-4.2.0-sis-option-swcursor.patch
Patch240: XFree86-4.2.0-trident-9397.patch
# Patches 400-419: xc/nls/{locale.dir,locale.alias,compose.dir} patches
Patch400: XFree86-4.2.0-locale-gb18030.patch
Patch401: XFree86-4.2.0-locale-tr_TR-bug55736.patch
Patch305: XFree86-4.0.2-xfree86.lst.patch

# Fix bad page size assumptions in DRI drivers <mharris@redhat.com>
Patch405: XFree86-4.1.99.2-pagesize-fixup.patch
# Fixes (#31618) freed memory being deref'd in xaw <jik@kamens.brookline.ma.us>
Patch406: XFree86-4.0.3-xaw-freed-mem-deref.patch
# Fixes (#33152) - <jik@kamens.brookline.ma.us>
Patch407: XFree86-4.0.3-xaw-readtext.patch
# Xaw fixup <jik@kamens.brookline.ma.us>
Patch420: XFree86-4.0.3-xaw-asciisink.patch
# CUSTOM startup messages (Currently does nothing) Mike A. Harris <mharris@redhat.com>
Patch421: XFree86-4.0.3-rhl-startupmessages.patch
# Manpage fixup  Mike A. Harris <mharris@redhat.com>
Patch422: XFree86-4.0.3-xset-man-update.patch
Patch504: XFree86-4.0.99.3-Xwrapper.patch
Patch505: XFree86-4.1.99.2-xman.patch

# Patches: 800-819 - xkb keyboard symbol files
Patch800: XFree86-4.2.0-xkb-french-canadian.patch
Patch801: XFree86-4.2.0-xkb-ar.patch
# Fixed us_intl keymap by adding missing commas (#59529) Mike A. Harris <mharris@redhat.com>
Patch802: XFree86-4.2.0-xkb-us_intl-missing-commas.patch
# Icelandic keyboard symbol patch to fix bug (#60594)
Patch803: XFree86-4.2.0-xkb-is.patch


Patch1000: XFree86-4.0.1-drm.patch
Patch1001: XFree86-4.1-xinerama.patch
Patch1003: XFree86-4.0.99.901-redhat-xdm-pam.patch

# Xaw3d patch to xterm  H.J. Lu <hjl@gnu.org>
Patch1007: XFree86-4.0.2-xterm-Xaw3d.patch
# TEMPORARILY MOVED HERE for patch reorganization
Patch1009: XFree86-4.0.1-alpha-pcibus-lemming.patch
Patch1010: XFree86-4.0.1-pic.patch
# -frame option is ignored if -id option used <mharris@redhat.com>
Patch1018: XFree86-4.1.0-xwd-frame-option.patch
# load agpgart for DRM
Patch1021: XFree86-4.1.0-agpgart-load.patch
# Add support for Japanese 109 key USB keyboard
Patch1023: XFree86-4.1.0-keyboard-jp109usb.patch
# Force mkfontdir to make fonts.dir and encodings.dir, etc. mode 0644 Mike A. Harris <mharris@redhat.com>
Patch1024: XFree86-4.1.99.2-mkfontdir-perms.patch
Patch1025: XFree86-4.2.0-FIRSTINDEX-breaks-ttmkfdir.patch
# Fixes xman bug by using s/zsoelim/soelim/.  Also, a symlink added to groff package. mharris@redhat.com
Patch1028: XFree86-4.1.0-xman-soelim-fix.patch
# Fixes unaligned trap error on Alpha
Patch1029: XFree86-4.1.0-glFrustum-fixie.patch
# Fix for abnt2 keycodes (#55128)
# DISABLED: 4.2.0 has this already in a slightly different way.
Patch1033: XFree86-4.1.0-keycodes-abnt2.patch

# Patches 2000-2010 are for ttmkfdir
Patch2000: ttmkfdir-libtool.patch
Patch2001: ttmkfdir-foundrynames.patch
Patch2002: ttmkfdir-gcc31.patch
Patch2003: ttmkfdir-iso10646.patch
Patch2004: ttmkfdir-CJK-bug-54087-fix.patch
Patch2005: ttmkfdir-freetype2-port-plus-cjk-chocolaty-goodness.patch

# S390 patches (will be moved to arch specific section later)
Patch3000: XFree86-4.1.0-s390x.patch
Patch3001: XFree86-4.0.1-nohardware.patch
Patch3002: XFree86-4.0.2-FreeType-s390x.patch
Patch3004: xdm-4.0-servonly.patch
Patch3005: XFree86-4.1.0-cpp-s390x.patch
Patch3007: XFree86-4.1.0-ppc-compiler-workaround.patch
#Patch3010: XFree86-4.1.0-sis-drm.patch
# Sparc patches
Patch3100: XFree86-4.2.0-sparc_pci_domains.patch

# Chinese i18n support patches
# 4004 - gb18030 patches may need tweaking 
Patch4004: XFree86-4.2.0-gb18030-20020207.patch
Patch4005: XFree86-4.1.0-xtt.patch
Patch4006: XFree86-4.2.0-gb2312-gbk-enc-support.patch
Patch4007: XFree86-4.1.0-utf8.patch
Patch4009: XFree86-4.2.0-zh_CN-i18n.patch
# Xcin fixes, otaylor@redhat.com, llch@redhat.com
Patch4020: XFree86-4.2.0-zh_TW-xcin.patch
Patch4021: XFree86-4.2.0-gb18030-enc.patch
Patch4022: XFree86-4.2.0-euro-support.patch

# New stuffs
Patch4100: XFree86-4.2.0-Wacom-USB-driver-a25-update.patch
# Patch to xfs to make it chdir("/"); prior to fork() for bug #57110
Patch4104: XFree86-4.2.0-xfs-chdir-to-root-dir.patch
# Fix syslog to log to LOG_DAEMON instead of LOG_LOCAL0 <mharris@redhat.com>
Patch4105: XFree86-4.2.0-xfs-syslog.patch
# Disable the ugly checkerboard pattern that X starts up with <mharris>
Patch4106: XFree86-4.2.0-die-ugly-pattern-die-die-die.patch
Patch4107: XFree86-4.2.0-xlib-memleak.patch
Patch4108: XFree86-4.2.0-mitshm.patch
Patch4109: XFree86-4.1.0-time-wraparound.patch
Patch4110: XFree86-4.2.0-nls-en_US-en_GB-ISO8859-15-support.patch
Patch4111: XFree86-4.2.0-sessreg-highuid.patch
Patch4112: XFree86-4.2.0-startx-hostname-fix.patch
Patch4113: XFree86-4.2.0-drm-device-dir-perms.patch

#Patch6000:


######################################################################
%package devel
Obsoletes: xpm-devel
Provides: xpm-devel

Summary: X11R6 static libraries, headers and programming man pages.
Group: Development/Libraries
Requires: XFree86-libs = %{version}
%if ! %{WithExternalMesa}
Obsoletes: Mesa-devel
#Conflicts: Mesa-devel
Provides: Mesa-devel
%endif
######################################################################
%package xfs
Summary: A font server for the X Window System.
Group: System Environment/Daemons
Prereq: fileutils sed
Prereq: shadow-utils
# chkconfig is needed for %post %postun
Prereq: /sbin/chkconfig, /usr/X11R6/bin/mkfontdir, /usr/bin/ttmkfdir
Requires: XFree86-libs = %{version}
######################################################################
%package twm
Summary: A simple window manager
Group: User Interface/X
Requires: XFree86, XFree86-libs = %{version}
Provides: windowmanager
######################################################################
%package xdm
Summary: X Display Manager
Requires: XFree86 = %{version}, /etc/pam.d/system-auth
# xinitrc requirement on 3.13 for user login shell enhancement to Xsession
Requires: xinitrc >= 3.13
Group: User Interface/X
######################################################################
%package libs
Summary: Shared libraries needed by the X Window System version 11 release 6.4
Group: System Environment/Libraries
Obsoletes: xpm
Provides: xpm
Prereq: /sbin/ldconfig grep textutils
BuildPrereq: kudzu-devel, pciutils-devel
%if ! %{WithExternalMesa}
Obsoletes: Mesa
#Conflicts: Mesa
Provides: Mesa
%endif

%description libs
XFree86-libs contains the shared libraries required for running X
applications.

######################################################################
%package base-fonts
Summary: The collection of XFree86 core base fonts
Group: User Interface/X
Prereq: /usr/sbin/chkfontpath, /usr/X11R6/bin/mkfontdir
# Required so upgrades work, since base fonts moved here from main pkg
%if %{Build_7x}
Conflicts: XFree86 <= 4.2.0-0.6.10
%else
Conflicts: XFree86 <= 4.2.0-3.1
%endif
%description base-fonts
XFree86-base-fonts provides the base fonts required by XFree86
for proper operation.
######################################################################
%package truetype-fonts
Summary: XFree86 Luxi TrueType fonts by Bigelow and Holmes
Group: User Interface/X
Prereq: /usr/sbin/chkfontpath, /usr/X11R6/bin/mkfontdir, /usr/bin/ttmkfdir

%description truetype-fonts
A collection of truetype fonts which are part of the XFree86 core
distribution, including the Luxi fonts donated by Bigelow and Holmes.
######################################################################
%package font-utils
Summary: Font utilities required for installing fonts
Group: User Interface/X
# mkfontdir and other utilities were moved here so this conflict is needed
%if %{Build_7x}
Conflicts: XFree86 < 4.2.0-0.6.2
%else
# mkfontdir conflict
Conflicts: XFree86 < 4.2.0-5.2
# freetype package ttmkfdir conflict
Conflicts: freetype < 2.0.6-3
%endif
%description font-utils
XFree86-font-utils provides mkfontdir, and ttmkfdir utilities which are
required when installing font packages.
######################################################################
%package 75dpi-fonts
Summary: A set of 75dpi resolution fonts for the X Window System.
Group: User Interface/X
Prereq: /usr/sbin/chkfontpath, /usr/X11R6/bin/mkfontdir
######################################################################
%package 100dpi-fonts
Summary: A set of 100dpi resolution fonts for the X Window System.
Group: User Interface/X
Prereq: /usr/sbin/chkfontpath, /usr/X11R6/bin/mkfontdir
######################################################################
%package ISO8859-2-75dpi-fonts
Summary: A set of 75dpi Central European language fonts for X.
Group: User Interface/X
Prereq: /usr/sbin/chkfontpath, /usr/X11R6/bin/mkfontdir
######################################################################
%package ISO8859-2-100dpi-fonts
Summary: A set of 100dpi Central European language fonts for X.
Group: User Interface/X
Prereq: /usr/sbin/chkfontpath, /usr/X11R6/bin/mkfontdir
######################################################################
%package ISO8859-9-75dpi-fonts
Summary: ISO8859-9-75dpi-fonts
Group: User Interface/X
Prereq: /usr/sbin/chkfontpath, /usr/X11R6/bin/mkfontdir
######################################################################
%package ISO8859-9-100dpi-fonts
Summary: ISO8859-9-100dpi-fonts
Group: User Interface/X
Prereq: /usr/sbin/chkfontpath, /usr/X11R6/bin/mkfontdir
######################################################################
%package ISO8859-15-75dpi-fonts
Summary: ISO8859-15-75dpi-fonts
Group: User Interface/X
Prereq: /usr/sbin/chkfontpath, /usr/X11R6/bin/mkfontdir
######################################################################
%package ISO8859-15-100dpi-fonts
Summary: ISO8859-15-100dpi-fonts
Group: User Interface/X
Prereq: /usr/sbin/chkfontpath, /usr/X11R6/bin/mkfontdir
######################################################################
%package cyrillic-fonts
Summary: Cyrillic fonts for X.
Group: User Interface/X
Prereq: /usr/sbin/chkfontpath, /usr/X11R6/bin/mkfontdir
######################################################################
%ifnarch s390 s390x
%package doc
Summary: Documentation on various X11 programming interfaces.
Group: Documentation
%endif
######################################################################
%package Xnest
Summary: A nested XFree86 server.
Group: User Interface/X Hardware Support
Requires: XFree86 = %{version}
######################################################################
%package Xvfb
Summary: A virtual framebuffer X Windows System server for XFree86.
Group: User Interface/X Hardware Support
Requires: XFree86 = %{version}
######################################################################
%package tools
Summary: Various tools for XFree86
Group: User Interface/X
Obsoletes: X11R6-contrib
Requires: XFree86
######################################################################
%package xtrap-clients
Summary: Xtrap client utilities
Group: User Interface/X
Requires: XFree86
######################################################################
%ifnarch ia64 s390 s390x
%package xf86cfg
Summary: XFree86 configuration program
Group: User Interface/X
Obsoletes: XFree86-XF86Setup
Requires: XFree86 = %{version}
# Removed dep on Xconfigurator and changed to the actual Cards file instead
Requires: /usr/X11R6/lib/X11/Cards
%endif



########## DESCRIPTIONS ##############################################
%description
XFree86 is an open source implementation of the X Window System.  It
provides the basic low level functionality which full fledged
graphical user interfaces (GUIs) such as GNOME and KDE are designed
upon.

######################################################################

######################################################################
%description Xvfb
Xvfb (X Virtual Frame Buffer) is an X server that is able to run on
machines with no display hardware and no physical input devices.
Xvfb simulates a dumb framebuffer using virtual memory.  Xvfb does
not open any devices, but behaves otherwise as an X display.  Xvfb
is normally used for testing servers.

######################################################################
%description Xnest
Xnest is an X server, which has been implemented as an ordinary
X application.  It runs in a window just like other X applications,
but it is an X server itself in which you can run other software.  It
is a very useful tool for developers who wish to test their
applications without running them on their real X server.

######################################################################

%description ISO8859-2-75dpi-fonts
Contains a set of 75dpi fonts for Central European languages.

######################################################################

%description ISO8859-2-100dpi-fonts
Contains a set of 100dpi fonts for Central European languages.

######################################################################

%description ISO8859-9-75dpi-fonts
Contains a set of 75dpi fonts for the Turkish language.

######################################################################

%description ISO8859-9-100dpi-fonts
Contains a set of 100dpi fonts for the Turkish language.

######################################################################

%description ISO8859-15-75dpi-fonts
Contains a set of 75dpi fonts in the ISO8859-15 encoding which
provide Euro support.

######################################################################

%description ISO8859-15-100dpi-fonts
Contains a set of 100dpi fonts in the ISO8859-15 encoding which
provide Euro support.

######################################################################

%description 75dpi-fonts
XFree86-75dpi-fonts contains the 75 dpi fonts used on most X Window
Systems. If you're going to use the X Window System, you should
install this package, unless you have a monitor which can support 100
dpi resolution.  In that case, you may prefer the 100dpi fonts
available in the XFree86-100dpi-fonts package.

%description 100dpi-fonts
The XFree86-100dpi-fonts package contains a set of 100 dpi fonts used
on most Linux systems. If you're going to use the X Window System and
you have a high resolution monitor capable of 100 dpi, you should
install XFree86-100dpi-fonts.

######################################################################
%description cyrillic-fonts
Contains a set of Cyrillic fonts.

%ifnarch s390 s390x
%description doc
XFree86-doc provides a great deal of documentation, in PostScript
format, on the various X APIs, libraries, and other interfaces.  If
you need low level X documentation, you will find it here.  Topics
include the X protocol, the ICCCM window manager standard, ICE
session management, the font server API, etc.
%endif

######################################################################
%description xdm
X Display Manager.

%description xfs
XFree86-xfs contains the font server for XFree86.  Xfs can also serve
fonts to remote X servers. The remote system will be able to use all
fonts installed on the font server, even if they are not installed on
the remote computer.

%description devel
XFree86-devel includes the libraries, header files and documentation
needed for developing applications for the X window system.

######################################################################
%description twm
A simple and lightweight window manager

######################################################################
%description tools
Various tools for X, including listres, xbiff, xedit, xeyes, xcalc, xload
and xman, among others.

This package contains all applications that used to be in X11R6-contrib
in older releases.

######################################################################
%description xtrap-clients
These utilities are sample clients provided for use with the XTrap
X Server Extension.

######################################################################
%ifnarch ia64 s390 s390x
%description xf86cfg
Configuration tool for XFree86
%endif

##########  PREP  ###################################################

%prep
%if %{with_ttmkfdir}
%setup -q -c -a 21
%else
%setup -q -c
%endif

##########  PATCH  ##################################################

# This patch *MUST* be first
%patch0 -p0 -b .xf-4_2-branch

# FIXME The parallel make patch might patch stuff that is fixed in a different
# way now, but that doesn't conflict with the patch.  Disabled to be safe.
%if %{ParallelBuild}
%patch3 -p0 -b .parallelmake
%patch4 -p0 -b .parallelmake-libfont
%endif

%patch7 -p0 -b .xtermresources
%patch12 -p1 -b .patch-broken
%patch16 -p0 -b .redhat-custom-modelines

# 30-39 Internationalization patches
%patch100 -p0 -b .ati-mach64-rage-XL
%patch140 -p0 -b .ati-radeon-mobility-LX
%patch141 -p0 -b .ati-radeon-pci-drm-enable
%patch142 -p0 -b .ati-radeon-update-from-ati
#%exit

%patch160 -p0 -b .mga-g450-bugfix
%patch161 -p0 -b .mga-g550-cursor

# tdfx driver patches
%patch180 -p0 -b .tdfx-should-be-2048-not-2046
# Experimental and untested.
#%patch181 -p0 -b .tdfx-enable-interlaced-modes
#%patch182 -p0 -b .tdfx-fix-vtswitch-font-corruption
%patch183 -p0 -b .tdfx-disable-dri-on-16Mb-cards-in-hires

%patch210 -p0 -b .i810-dont-use-empty-for-loops-for-delays
%patch211 -p0 -b .i810-dont-force-XvMC-on-DRI-users

# SiS patches
####%patch220 -p0 -b .sis-option-swcursor

%patch240 -p0 -b .trident-9397

#####################
%patch305 -p0 -b .patch-xfree86.lst

%patch400 -p0 -b .locale-alias-gb18030
%patch401 -p0 -b .locale-locale-tr_TR-bug55736

%patch405 -p0 -b .pagesize-fixup
%patch406 -p0 -b .xaw-freed-mem-deref
%patch407 -p0 -b .xaw-readtext
%patch420 -p1 -b .xaw-asciisink


# CUSTOM startup messages patch.  XFree86 added to the trunk what this
# patch was currently doing more or less, however it will be updated
# later so I'm leaving it here.
#%patch421 -p0 -b .rhl-startupmessages

%patch422 -p0 -b .xset-man-update

# FIXME: Attempt to get Xwrapper to build in 4.1.99.2 <sigh>
%if %{BuildXwrapper}
%patch504 -p1 -b .patch-Xwrapper
%endif
%patch505 -p0 -b .patch-xman

# Patches 800 - 819 xkb keyboard symbol patches
%patch800 -p0 -b .xkb-french-canadian
%patch801 -p1 -b .xkb-arabic-support
%patch802 -p0 -b .xkb-us_intl-missing-commas
%patch803 -p0 -b .xkb-is

# MISC new patches go here until I finish the patch reorganization, this
# stuff is likely to move around a lot over the next while (Jun 8, 2001)
# Update: Ok, so it has stayed messy for longer than anticipated.  Not a
# horrible tragedy really.  I haven't lost sleep over it yet or anything.
# Hopefully will reorganize for 4.3.0.  ;o)  (Apr 15, 2002)
%patch1000 -p1 -b .patch-drm
%patch1001 -p1 -b .xinerama
%patch1003 -p0 -b .redhat-xdm-pam

# HJL's Xterm3d patch
%if %{BuildXterm3d}
%patch1007 -p1 -b .patch-Xaw3d
%endif
%ifarch alpha
%patch1009 -p0 -b .lemming
%endif

%ifarch ia64
%patch1010 -p1 -b .patch-pic
%endif

%patch1018 -p0 -b .xwd-frame-option
%patch1021 -p1 -b .agpgart-load
# Add support for Japanese 109 key USB keyboard
%patch1023 -p0 -b .keyboard-jp109usb
%patch1024 -p0 -b .mkfontdir-perms
%patch1025 -p0 -b .FIRSTINDEX-breaks-ttmkfdir
%patch1028 -p0 -b .xman-soelim-fix

%ifarch alpha
%patch1029 -p0 -b .glFrustum-fixie
%endif

# FIXME: Disabled because 4.2.0 seems to fix this similarly already.  Remove
# once confirmed.
#%patch1033 -p0 -b .keycodes-abnt2

%if %{with_ttmkfdir}
%patch2000 -p0 -b .libtool
%patch2001 -p1 -b .foundrynames
%patch2002 -p0 -b .gcc31
%patch2003 -p1 -b .iso10646
%patch2004 -p0 -b .ttmkfdir-CJK-bug-54087-fix
%patch2005 -p0 -b .ttmkfdir-freetype2-port-plus-cjk-chocolaty-goodness
%endif

# S/390, S/390x patches
%ifarch s390 s390x
%patch3000 -p1 -b .patch-s390
%patch3001 -p1 -b .s390-nohardware
%patch3002 -p1 -b .s390-freetype
%patch3005 -p1 -b .s390-cpp
%endif

# Sparc, Sparc64 patches
%ifarch sparc sparc64
%patch3100 -p0 -b .sparc_pci_domains
%endif

# PPC patches
%ifarch ppc ppc64
%patch3007 -p1 -b .ppc-compiler-workaround
%endif

%patch3004 -p1 -b .xdm-servonly

#%patch3010 -p0 -b .sis-drm-fix

# Chinese i18n - GB18030 locale support patches
%patch4004 -p0 -b .gb18030-support
%patch4005 -p0 -b .gb18030-xtt-support
%patch4006 -p0 -b .gb2312-gbk-enc-support
%patch4007 -p0 -b .utf8-bugfix
%patch4009 -p1 -b .zh_CN-i18n
%patch4020 -p0 -b .zh_TW-xcin
%patch4021 -p0 -b .gb18030-enc
%patch4022 -p0 -b .euro-support

%patch4100 -p0 -b .Wacom-USB-driver-a25-update
# FIXME:  Awaiting feedback on this
%patch4104 -p0 -b .xfs-chdir-to-root-dir
%patch4105 -p0 -b .xfs-syslog
# Disabled until a userland pattern can be made to replace this for people who
# want the ugliness back.
#%patch4106 -p0 -b .die-ugly-pattern-die-die-die
# Untested memleak patch
#%patch4107 -p0 -b .xlib-memleak

%patch4108 -p0 -b .mitshm
%patch4109 -p0 -b .time-wraparound
%patch4110 -p0 -b .nls-en_US-en_GB-ISO8859-15-support
%patch4111 -p0 -b .sessreg-highuid
%patch4112 -p0 -b .startx-hostname-fix
%patch4113 -p0 -b .drm-device-dir-perms


######################################################################
#####  CREATE host.def  ##############################################
pwd
%define rhbuild         %( hostname | grep -q "\.redhat\.com" && echo Red Hat Linux release || echo Custom Build)

cat > xc/config/cf/host.def << EOF
#define XFree86CustomVersion "%rhbuild: %{version}-%{release}"
#define BuilderString "Build Host: %(hostname)\n"
#define LinuxDistribution	LinuxRedHat
    
%if %{DebuggableBuild}
#define BuildDebug		YES
/* #define XFree86Devel		YES */
/* #define DoLoadableServer	NO */
%endif

#define BootstrapCFlags		$RPM_OPT_FLAGS -pipe
#define DefaultGcc2i386Opt	$RPM_OPT_FLAGS -pipe
#define DefaultGcc2AxpOpt	$RPM_OPT_FLAGS -pipe -Wa,-m21164a

%if %{ParallelBuild}
#define ParallelMakeFlags	-j%(getconf _NPROCESSORS_ONLN)
/* This oneseems to fuckup on GLU, possibly a conflict with HJL's patch */
/*#define HasParallelMake		YES  */
%endif

/* FIXME: Future enhancement ... no ETA, dont ask.
 *#define ProjectRoot /usr/local/X11R6
 *#define NothingOutsideProjectRoot YES
 *#define EtcX11Directory ProjectRoot/etc
 */

/* Try to DISABLE as much of XFree86 included Mesa libs as possible when
 * building with external Mesa */
%if %{WithExternalMesa}
#define LinkGLToUsrInclude	NO
#define LinkGLToUsrLib		NO
%else
/* We want includes in /usr/include/GL, so we move them there later on */
#define LinkGLToUsrInclude	NO
/* The OpenGL ABI on Linux standard states libGL and libGLU must be present in
 * /usr/lib either directly, or as symlinks.
 */
#define LinkGLToUsrLib		YES
#define BuildGLwLibrary     YES
%endif

#define ForceNormalLib		YES

/* Disable joystick support because it is totally broken in XFree86 4.x, at
   least up to and including 4.1.0.  Use native OS joystick support instead. */
#define JoystickSupport		NO

%ifarch s390 s390x
#define HasAgpGart              NO
%else
#define HasAgpGart              YES
%endif

#define HasPam			YES
#define HasPamMisc		YES
#define HasZlib			YES
/* Use Freetype 2, but we have our own - so don't build it */
#define HasFreetype2		YES

#define HasLinuxInput		YES
#define HasMMXSupport		YES
#define Has3DNowSupport		YES
/* Katmai/SSE support enabled experimentally */
#define HasKatmaiSupport    YES

#define XtermWithI18N		YES

%if %{BuildVoodoo}
#define HasGlide2		YES
#define Glide2IncDir		/usr/include/glide
%endif

%ifarch %{ix86} alpha ia64
#define HasGlide3           YES
#define Glide3LibName		glide3
%endif
#define Glide3IncDir		/usr/include/glide3

#define BuildFonts              YES
#define BuildSpeedoFonts        YES
#define BuildCyrillicFonts      YES
/* #define BuildISO8859_1Fonts     YES */
#define BuildISO8859_2Fonts	YES
#define BuildISO8859_3Fonts	NO
#define BuildISO8859_4Fonts	NO
#define BuildISO8859_5Fonts	BuildCyrillicFonts
/* #define BuildISO8859_6Fonts	NO  */
#define BuildISO8859_7Fonts	YES 
/* #define BuildISO8859_8Fonts	NO  */
#define BuildISO8859_9Fonts	YES
#define BuildISO8859_10Fonts	NO
#define BuildISO8859_11Fonts	NO
#define BuildISO8859_12Fonts	NO
#define BuildISO8859_13Fonts	NO
#define BuildISO8859_14Fonts	NO
#define BuildISO8859_15Fonts	YES


/**************************************************************************/
/* BOTH XIE and PEX were deprecated in XFree86 4.1.0 and are now obsolete */
/* in XFree86 4.2.0, and can probably be removed as it defaults them      */
/* FIXME: Confirm these are safe to remove in default config of X and remove */
#define BuildPhigs      NO
#define BuildPexExt     NO
#define BuildPexLib     NO
#define BuildXIE        NO
#define BuildXIElib     NO
/**************************************************************************/


#define BuildXF86MiscExt        YES
#define BuildHtmlManPages       NO

%ifarch s390 s390x
#define BuildXF86DRI                NO
#define BuildServer                 YES
#define XVirtualFramebufferServer   YES
#define XnestServer                 YES
%else
#define BuildXF86DRI                YES
%endif
 
/* Kernel DRM modules */
%if %{BuildKernelDRMModules}
#define BuildXF86DRM            YES
%else
#define BuildXF86DRM            NO
%endif

#define BuildXinerama           YES
#define BuildXineramaLibrary    YES

#define BuildXF86DGA            YES


#define UseXserverWrapper       YES
#define UseUtempter             YES
#define UseInternalMalloc       NO
#define UseMatroxHal            NO

#define UseConfDirForXkb           NO
#define UseConfDirForAppDefaults   NO

#undef  DefaultUserPath
#define DefaultUserPath		/usr/local/bin:/bin:/usr/bin
#undef  DefaultSystemPath
#define DefaultSystemPath	/usr/local/sbin:/sbin:/usr/sbin:/bin:/usr/bin

#define AdmDir              /var/log
#define LbxproxyDir         /etc/X11/lbxproxy
#define ProxyManagerDir     /etc/X11/proxymngr
#define ServerConfigDir     /etc/X11/xserver
#define XdmDir              /etc/X11/xdm
#define XConfigDir          /etc/X11
#define XinitDir            /etc/X11/xinit

%ifarch alpha
#define XF86CardDrivers mga nv tga s3virge sis rendition \
			neomagic i740 tdfx cirrus tseng trident chips apm \
			fbdev ati vga v4l glint
%endif

%ifarch ia64
#define XF86CardDrivers mga nv s3virge sis rendition i740 \
			tdfx v4l fbdev glint ati vga 
%endif

%ifarch ppc ppc64
#define XF86CardDrivers mga glint s3virge sis savage \
                        ati trident chips fbdev \
                        DevelDrivers vga \
                        XF86OSCardDrivers XF86ExtraCardDrivers
%endif

#define DriverManDir    \$(MANSOURCEPATH)4
#define DriverManSuffix 4x /* use just one tab or cpp will die */
#define MiscManDir      \$(MANSOURCEPATH)7
#define MiscManSuffix   7x /* use just one tab or cpp will die */

EOF


##########  BUILD  ##################################################

%build
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
# Remove unnecessary stuff...  DO NOT MOVE THIS
find . -name CVS -type d | xargs rm -rf
#find . -name .cvsignore -type f |xargs rm -f

%if %{ParallelBuild}
numprocs=$(( $(egrep -c ^cpu[0-9]+ /proc/stat || :) * 2 ))
[ "$numprocs" = "0" ] && numprocs=1
echo "PARALLEL MAKE ENABLED: numprocs=$numprocs"
%else
numprocs=1
%endif

%if %{DebuggableBuild}
makeg World -C xc WORLDOPTS=
%else
make World -C xc WORLDOPTS=
%endif

%if %{with_ttmkfdir}
make -C ttmkfdir2 clean
# This code block was necessary only for ttmkfdir using freetype1 because
# the location of the headers changed, and we want to ensure it builds
# regardless of where the includes are.  With the port to freetype 2, it is
# no longer necessary.
#if [ -r /usr/include/freetype/freetype.h ];then
#  FREETYPE_BASE=/usr/include/freetype
#else
#  FREETYPE_BASE=/usr/include/freetype1/freetype
#fi
FREETYPE_BASE=/usr/include/freetype2
make -C ttmkfdir2 DEBUG="$RPM_OPT_FLAGS" FREETYPE_BASE="$FREETYPE_BASE"
%endif

##########  INSTALL  #################################################
%install
# Enable set -x if VerboseBuild is enabled
%{!?VerboseBuild:set -x}

mkdir -p $RPM_BUILD_ROOT{/usr/{include,lib},/etc/{pam.d,security/console.apps}}
install -c -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/xserver
install -c -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/pam.d/xdm
touch $RPM_BUILD_ROOT/etc/security/console.apps/xserver

make -C xc DESTDIR=$RPM_BUILD_ROOT install install.man
%if %{BuildIncludeSDK}
make -C xc DESTDIR=$RPM_BUILD_ROOT install.sdk 
%endif

%if %{WithExternalMesa}
# FIXME: Can MESA stuff be disabled with Imake instead?
# Clean out Mesa stuff
   rm -rf $RPM_BUILD_ROOT/usr/X11R6/include/GL
   rm -f  $RPM_BUILD_ROOT/usr/X11R6/lib/libGL* \
          $RPM_BUILD_ROOT/usr/X11R6/lib/libOSMesa.*
%else
# Put GL includes in /usr/include/GL instead of the default location
   mkdir -p $RPM_BUILD_ROOT/usr/include/GL
   mv $RPM_BUILD_ROOT/usr/X11R6/include/GL/* $RPM_BUILD_ROOT/usr/include/GL/
   rmdir $RPM_BUILD_ROOT/usr/X11R6/include/GL
%endif

# point this to Xwrapper, not XFree86
%{!?BuildXwrapper: ln -snf Xwrapper $RPM_BUILD_ROOT/usr/X11R6/bin/X}

# Install sample XF86Config
%ifnarch s390 s390x
cp xc/programs/Xserver/hw/xfree86/XF86Config $RPM_BUILD_ROOT/etc/X11/
%endif

# Explicitly create X authdir
mkdir -m 700 -p $RPM_BUILD_ROOT/var/lib/xdm/authdir

# We install our own config file for the xfs package
mkdir -p $RPM_BUILD_ROOT/etc/X11/fs
install -c -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc/X11/fs/config

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -c -m 755 %{SOURCE5} $RPM_BUILD_ROOT/etc/rc.d/init.d/xfs

# FIXME: Can Imake do this?  Fix up symlinks
{
   mkdir -p $RPM_BUILD_ROOT/usr/{bin,include,lib}
   ln -sf ../X11R6/include/X11 $RPM_BUILD_ROOT/usr/include/X11
   ln -sf ../X11R6/include/DPS $RPM_BUILD_ROOT/usr/include/DPS

# This can probably go away in next major release
%ifnarch s390 s390x
   ln -snf ../../../../etc/X11/XF86Config \
      $RPM_BUILD_ROOT/usr/X11R6/lib/X11/XF86Config
%endif
}

# Backward compatibility symlink
ln -sf ../../usr/X11R6/lib/X11/xkb $RPM_BUILD_ROOT/etc/X11

# strip the crap that's safe to strip
%if ! %{DebuggableBuild}
{
    # FIXME: See if there is other stuff we can strip out too
    set +x
    for file in $RPM_BUILD_ROOT/usr/X11R6/bin/* ; do
        file $file | grep -q ELF && strip --strip-unneeded -R .comment $file
    done
    strip --strip-unneeded -R .comment $RPM_BUILD_ROOT/usr/X11R6/bin/* || :
    strip -R .comment $RPM_BUILD_ROOT/usr/X11R6/lib/*.so* || :
}
%endif

# symlink shared libs
{
    pushd $RPM_BUILD_ROOT/usr/X11R6/lib
    for lib in *.so.*; do ln -sf $lib ${lib%.so*}.so ; done
    popd
}

# Auxilliary font related file processing
{
    FONTDIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts
    # Strip out all fonts.dir files from font directories as they should
    # not be included in the packaging but should be generated at install
    # time instead.
    rm -f $(find $FONTDIR -name 'fonts.dir') || :
    # "touch" all fonts.dir, fonts.alias, etc files we've got flagged as %ghost
    # but which are not present in the RPM_BUILD_ROOT when RPM looks for files
    touch $FONTDIR/TTF/fonts.alias
    for subdir in 100dpi 75dpi CID local misc Speedo Type1 TTF cyrillic ; do
        touch $FONTDIR/$subdir/fonts.dir
        touch $FONTDIR/$subdir/encodings.dir
    # FIXME: fonts.alias files should be created also possibly
    #    touch $FONTDIR/$subdir/fonts.alias
    done
}

# Make sure all manpage dirs exist and are owned by XFree86-libs
mkdir -m 755 -p $RPM_BUILD_ROOT/usr/X11R6/man/man{1,2,3,4,5,6,7,8} || :

# for ghost config file
touch $RPM_BUILD_ROOT/etc/X11/XF86Config-4
#chmod 644 $RPM_BUILD_ROOT/etc/X11/{XF86Config,XF86Config-4}

rm -f $RPM_BUILD_ROOT/etc/X11/XftConfig
cp %{SOURCE20} $RPM_BUILD_ROOT/etc/X11/XftConfig

# hack fix bug #49990
%ifnarch %{ix86} alpha
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/libxrx.*
%endif

# Fix permissions on locale/common/*.so libs
chmod 755 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/common/*.so.*

# FIXME: are these correct? Add symlinks to libGLU.so and libGLU.so.1 into /usr/lib
%if ! %{WithExternalMesa}
rm $RPM_BUILD_ROOT/usr/lib/libGL.so*
ln -s ../../usr/X11R6/lib/libGL.so.1.2 $RPM_BUILD_ROOT/usr/lib/libGL.so
ln -s ../../usr/X11R6/lib/libGL.so.1.2 $RPM_BUILD_ROOT/usr/lib/libGL.so.1
ln -s ../../usr/X11R6/lib/libGLU.so.1.3 $RPM_BUILD_ROOT/usr/lib/libGLU.so
ln -s ../../usr/X11R6/lib/libGLU.so.1.3 $RPM_BUILD_ROOT/usr/lib/libGLU.so.1
%endif

# Install the crappy C++ ttmkfdir program
%if %{with_ttmkfdir}
pwd
echo Installing ttmkfdir
install -m 755 ttmkfdir2/ttmkfdir $RPM_BUILD_ROOT%{_bindir}
%endif

rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/modules/drivers/vmware_drv.o
rm -f $RPM_BUILD_ROOT/usr/X11R6/man/man4/vmware.4x*


######################################################################
#########  SCRIPT SECTION  ###########################################
######################################################################

%triggerpostun -- XFree86
{
%ifarch s390 s390x
  for dir in lbxproxy proxymngr rstart ; do
%else
  for dir in lbxproxy proxymngr rstart xserver ; do
%endif
    if [ -d /usr/X11R6/lib/X11/$dir ] ; then
      mv -f /usr/X11R6/lib/X11/$dir /etc/X11/ 2>/dev/null || :
    fi
    # no need to keep this symlink around any longer - pgb 06/28/00
    # these are needed for 3.x servers - notting 07/24/00
    [ ! -L /usr/X11R6/lib/X11/$dir ] && \
      ln -snf ../../../../etc/X11/$dir /usr/X11R6/lib/X11/$dir || :
  done
} &> /dev/null || :

%pre
{
  # Remove xie and pex5 from the config files, as they are
  # no longer provided nor supported as of XFree86 4.2.0
  {
    CONFFILE=/etc/X11/XF86Config-4
    if [ -e $CONFFILE ] ; then
      SAVECONF=$CONFFILE.rpmsave
      cp -p $CONFFILE $SAVECONF
      grep -iv 'Load[[:space:]]*"\(pex5\|xie\)"' $SAVECONF > $CONFFILE
    fi
  }
  # Do this for upgrades or installs
  XKB_DIR=/usr/X11R6/lib/X11/xkb/compiled
  if [ ! -L $XKB_DIR -a -d $XKB_DIR ]; then
    mkdir -p /var/lib/xkb
    mv -f $XKB_DIR /var/lib/xkb/
    ln -sf ../../../../../var/lib/xkb $XKB_DIR
  fi
} &> /dev/null || :

%post
{
%ifarch s390 s390x
  for dir in lbxproxy proxymngr rstart ; do
%else
  for dir in lbxproxy proxymngr rstart xserver ; do
%endif
    [ ! -L /usr/X11R6/lib/X11/$dir -a ! -d /usr/X11R6/lib/X11/$dir ] && \
      ln -snf ../../../../etc/X11/$dir /usr/X11R6/lib/X11/$dir || :
  done
} &> /dev/null || :

%pre xdm
{
  # The dir /etc/X11/xdm/authdir moved to /var/lib/xdm/authdir and was replaced
  # by a symlink.  Upgrades from Red Hat Linux 6.x and earlier to any new
  # release with XFree86-4.0.x fail without the following. (fixes bug #32574)
  if [ ! -L /etc/X11/xdm/authdir -a -d /etc/X11/xdm/authdir ]; then
    mkdir -p /var/lib/xdm && \
    mv -f /etc/X11/xdm/authdir /var/lib/xdm/  && \
       ln -sf ../../../var/lib/xdm/authdir /etc/X11/xdm/authdir || :
  fi
} &> /dev/null || :
         
%post libs
{
  grep "^/usr/X11R6/lib$" /etc/ld.so.conf &> /dev/null
  [ $? -ne 0 ] && echo "/usr/X11R6/lib" >> /etc/ld.so.conf

  /sbin/ldconfig
}

%postun libs
{
  if [ "$1" = "0" ]; then
    grep -v "^/usr/X11R6/lib$" /etc/ld.so.conf > /etc/ld.so.conf.new
    # preserve permissions
    cat /etc/ld.so.conf.new > /etc/ld.so.conf
    rm -f /etc/ld.so.conf.new
  fi
  /sbin/ldconfig
}

%verifyscript libs
{
  echo -n "Looking for /usr/X11R6/lib in /etc/ld.so.conf... "
  if ! grep "^/usr/X11R6/lib$" /etc/ld.so.conf > /dev/null; then
    echo "missing"
    echo "/usr/X11R6/lib missing from /etc/ld.so.conf" >&2
  else
    echo "found"
  fi
}

##### xfs scripts ####################################################
%pre xfs
{
%if %{Build_7x}
  /usr/sbin/useradd -c "X Font Server" -r -s /bin/false -u 43 \
%else
  /usr/sbin/useradd -c "X Font Server" -r -s /bin/nologin -u 43 \
%endif
                    -d /etc/X11/fs xfs
} &> /dev/null || :

%post xfs
{
  /sbin/chkconfig --add xfs
# FIXME: What an unmaintainable mess.  ;o) There almost has to be a cleaner
# way of doing this.  If not, it needs to be figured out and documented to
# avoid confusion.
  use_unix=
  for config in /etc/X11/XF86Config /etc/X11/XF86Config-4 ; do
    if [ -f $config ] && grep -q "unix/:" $config &> /dev/null; then
      use_unix=1
    fi
    if [ -f $config ] && grep -q "unix/:-1" $config &> /dev/null; then
      rm -f $config.new $config.rpmsave
      sed "s#unix/:-1#unix/:7100#g" $config > $config.new
      cp -f $config $config.rpmsave
      cat $config.new > $config
      rm -f $config.new
    fi
    if [ -f $config ] && grep -q "unix/:" $config &> /dev/null && \
      grep -q "/usr/X11R6/lib/X11/fonts/TrueType" $config &> /dev/null ; then \
	sed "s|FontPath[ ]*\"/usr/X11R6/lib/X11/fonts/TrueType\"|#FontPath \"/usr/X11R6/lib/X11/fonts/TrueType\"|g" $config > $config.new
      cat $config.new > $config
      rm -f $config.new
    fi
  done
  if [ -n "$use_unix" ] && ! grep -q "no-listen" /etc/X11/fs/config &> /dev/null;then
    echo -e "# don't listen on tcp by default\nno-listen = tcp\n" >> /etc/X11/fs/config
  fi
}

%preun xfs
{
  if [ "$1" = "0" ]; then
    /sbin/chkconfig --del xfs || :
    /usr/sbin/userdel xfs 2>/dev/null || :
    /usr/sbin/groupdel xfs 2>/dev/null || :
    service xfs stop &> /dev/null || :
  fi
}

%postun xfs
{
  if [ "$1" -ge "1" ]; then
    service xfs condrestart &> /dev/null || :
  fi
}

%post base-fonts
{
# FIXME: Make it only run mkfontdir in dirs that have fonts in them.
# Build fonts.dir files for all font dirs in this package.
# (exclude the local and CID dirs as they do not have fonts currently)
  for fontdir in 100dpi 75dpi Speedo Type1 misc ;do
    %__mkfontdir /usr/X11R6/lib/X11/fonts/$fontdir || :
    /usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/$fontdir || :
  done
} &> /dev/null || :

%postun base-fonts
# Rebuild fonts.dir when uninstalling package. (exclude the local, CID dirs)
{
  if [ "$1" = "0" ]; then
    for fontdir in 100dpi 75dpi Speedo Type1 misc ;do
      %__mkfontdir /usr/X11R6/lib/X11/fonts/$fontdir || :
    done
  fi
} &> /dev/null || :

%post truetype-fonts
{
    ttmkfdir -d /usr/X11R6/lib/X11/fonts/TTF \
                      -o /usr/X11R6/lib/X11/fonts/TTF/fonts.scale
    %__mkfontdir /usr/X11R6/lib/X11/fonts/TTF
    /usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/TTF
} &> /dev/null || :

%postun truetype-fonts
{
  if [ "$1" = "0" ]; then
    ttmkfdir -d /usr/X11R6/lib/X11/fonts/TTF \
                      -o /usr/X11R6/lib/X11/fonts/TTF/fonts.scale
    %__mkfontdir /usr/X11R6/lib/X11/fonts/TTF
  fi
} &> /dev/null || :

%post 75dpi-fonts
{
    %__mkfontdir /usr/X11R6/lib/X11/fonts/75dpi
    /usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/75dpi
} &> /dev/null || :

%post 100dpi-fonts
{
    %__mkfontdir /usr/X11R6/lib/X11/fonts/100dpi
    /usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/100dpi
} &> /dev/null || :

%post ISO8859-2-75dpi-fonts
{
    %__mkfontdir /usr/X11R6/lib/X11/fonts/75dpi
    /usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/75dpi
} &> /dev/null || :

%post ISO8859-2-100dpi-fonts
{
    %__mkfontdir /usr/X11R6/lib/X11/fonts/100dpi
    /usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/100dpi
} &> /dev/null || :

%post ISO8859-9-75dpi-fonts
{
    %__mkfontdir /usr/X11R6/lib/X11/fonts/75dpi
    /usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/75dpi
} &> /dev/null || :

%post ISO8859-9-100dpi-fonts
{
    %__mkfontdir /usr/X11R6/lib/X11/fonts/100dpi
    /usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/100dpi
} &> /dev/null || :

%post ISO8859-15-75dpi-fonts
{
    %__mkfontdir /usr/X11R6/lib/X11/fonts/75dpi
    /usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/75dpi
} &> /dev/null || :
    

%post ISO8859-15-100dpi-fonts
{
    %__mkfontdir /usr/X11R6/lib/X11/fonts/100dpi
    /usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/100dpi
} &> /dev/null || :

%post cyrillic-fonts
{
    %__mkfontdir /usr/X11R6/lib/X11/fonts/cyrillic
    /usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/cyrillic
} &> /dev/null || :

%postun 75dpi-fonts
{
  if [ "$1" = "0" ]; then
    %__mkfontdir /usr/X11R6/lib/X11/fonts/75dpi
  fi
} &> /dev/null || :

%postun 100dpi-fonts
{
  if [ "$1" = "0" ]; then
    %__mkfontdir /usr/X11R6/lib/X11/fonts/100dpi
  fi
} &> /dev/null || :

%postun ISO8859-2-75dpi-fonts
{
  if [ "$1" = "0" ]; then
    %__mkfontdir /usr/X11R6/lib/X11/fonts/75dpi
  fi
}

%postun ISO8859-2-100dpi-fonts
{
  if [ "$1" = "0" ]; then
    %__mkfontdir /usr/X11R6/lib/X11/fonts/100dpi
  fi
} &> /dev/null || :

%postun ISO8859-9-75dpi-fonts
{
  if [ "$1" = "0" ]; then
    %__mkfontdir /usr/X11R6/lib/X11/fonts/75dpi
  fi
} &> /dev/null || :

%postun ISO8859-9-100dpi-fonts
{
  if [ "$1" = "0" ]; then
    %__mkfontdir /usr/X11R6/lib/X11/fonts/100dpi
  fi
} &> /dev/null || :

%postun ISO8859-15-75dpi-fonts
{
  if [ "$1" = "0" ]; then
    %__mkfontdir /usr/X11R6/lib/X11/fonts/75dpi
  fi
} &> /dev/null || :

%postun ISO8859-15-100dpi-fonts
{
  if [ "$1" = "0" ]; then
    %__mkfontdir /usr/X11R6/lib/X11/fonts/100dpi
  fi
} &> /dev/null || :

%postun cyrillic-fonts
{
  if [ "$1" = "0" ]; then
    %__mkfontdir /usr/X11R6/lib/X11/fonts/cyrillic
  fi
} &> /dev/null || :


########## FILES SECTION #############################################
#
# IMPORTANT NOTE:  All fonts.dir, fonts.scale files are created during package
# installation time, and as such need to be flagged as ghost files, also their
# content is variable while installed as new fonts can be installed in the same
# directories potentially at any time, so they need to be flagged with %verify
# also.  They should not be flagged with %config however as they are not
# considered to be user editable, and should not be preserved.  Any case of a
# user wanting to edit these files by hand for ANY REASON, indicates a bug
# in the mkfontdir/ttmkfdir tools which should be fixed instead.
#
# encodings.dir files also should be flagged with %ghost and %verify, since
# the same applies to them, the only difference is that it may not actually
# exist unless the user creates it for some reason.  These files are deprecated
# and will be removed in a future upstream release entirely.
#
# fonts.alias should be flagged with %verify as it is modifyable.  For directories
# in which we supply a fonts.alias file, it should be flagged %config(noreplace)
# and for dirs which we do not supply one it should be flagged as both %ghost
# and %config(noreplace) so that the files are actually owned by the package,
# just not supplied by default, and they are preserved across upgrades.

%files
%defattr(-,root,root)
%dir /etc/X11/lbxproxy
%config /etc/X11/lbxproxy/AtomControl
%dir /etc/X11/proxymngr
%config /etc/X11/proxymngr/pmconfig
# rstart crapola
%dir /etc/X11/rstart
%dir /etc/X11/rstart/commands
/etc/X11/rstart/commands/@List
/etc/X11/rstart/commands/ListContexts
/etc/X11/rstart/commands/ListGenericCommands
/etc/X11/rstart/commands/x
/etc/X11/rstart/commands/x11
%dir /etc/X11/rstart/commands/x11r6
%dir /etc/X11/rstart/contexts
/etc/X11/rstart/contexts/@List
/etc/X11/rstart/contexts/default
/etc/X11/rstart/contexts/x
/etc/X11/rstart/contexts/x11
%dir /etc/X11/rstart/contexts/x11r6
%config /etc/X11/rstart/config
/etc/X11/rstart/rstartd.real

%ifnarch s390 s390x
%dir /etc/X11/xinit
# %config /etc/X11/xinit/xinitrc We have a separate xinitrc package
%dir /etc/X11/xserver
%config /etc/X11/xserver/*
%config(noreplace) %verify(not md5 size mtime) /etc/X11/XF86Config
%endif
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) /etc/X11/XF86Config-4
%dir /etc/X11/xsm
%config /etc/X11/xsm/system.xsm
# Changed back to 'noreplace' to fix bug #53103
%config(noreplace) /etc/X11/XftConfig


%dir /usr/X11R6/lib/X11/etc
%ghost /usr/X11R6/lib/X11/lbxproxy
%ghost /usr/X11R6/lib/X11/proxymngr
%ghost /usr/X11R6/lib/X11/rstart
%ifnarch s390 s390x
%ghost /usr/X11R6/lib/X11/xserver
%endif
%dir /usr/X11R6/lib/X11/xkb
%config /usr/X11R6/lib/X11/app-defaults/*
%dir /var/lib/xkb
%config %attr(0644,root,root) /etc/pam.d/xserver
%config(missingok) /etc/security/console.apps/xserver
/var/lib/xkb/README
# SuperProbe is obsolete /usr/X11R6/bin/SuperProbe
/usr/X11R6/bin/X
%ifnarch s390 s390x
%if %{BuildXwrapper}
%attr(711,root,root) /usr/X11R6/bin/XFree86
%attr(4711,root,root) /usr/X11R6/bin/Xwrapper
%else
%attr(4711,root,root) /usr/X11R6/bin/XFree86
%endif
%endif
/usr/X11R6/bin/Xmark
/usr/X11R6/bin/Xprt
# FIXME: Should these really be disabled on ppc?
%ifnarch s390 s390x ppc ppc64
/usr/X11R6/bin/pcitweak
/usr/X11R6/bin/scanpci
%endif
/usr/X11R6/bin/appres
/usr/X11R6/bin/atobm
/usr/X11R6/bin/bdftopcf
/usr/X11R6/bin/bdftruncate.pl
/usr/X11R6/bin/bitmap
/usr/X11R6/bin/bmtoa
/usr/X11R6/bin/cleanlinks
/usr/X11R6/bin/dga
/usr/X11R6/bin/dpsexec
/usr/X11R6/bin/dpsinfo
/usr/X11R6/bin/editres
/usr/X11R6/bin/iceauth
/usr/X11R6/bin/lbxproxy
/usr/X11R6/bin/lndir
/usr/X11R6/bin/luit
/usr/X11R6/bin/makepsres
/usr/X11R6/bin/makestrs
/usr/X11R6/bin/mergelib
/usr/X11R6/bin/mkcfm
/usr/X11R6/bin/mkdirhier
/usr/X11R6/bin/proxymngr
/usr/X11R6/bin/resize
/usr/X11R6/bin/revpath
/usr/X11R6/bin/rstart
/usr/X11R6/bin/rstartd
/usr/X11R6/bin/sessreg
/usr/X11R6/bin/setxkbmap
/usr/X11R6/bin/showrgb
/usr/X11R6/bin/smproxy
%ifnarch s390 s390x
/usr/X11R6/bin/startx
%endif
/usr/X11R6/bin/texteroids
/usr/X11R6/bin/uxterm
/usr/X11R6/bin/xauth
/usr/X11R6/bin/xcmsdb
/usr/X11R6/bin/xconsole
/usr/X11R6/bin/xcutsel
/usr/X11R6/bin/xdpyinfo
%ifnarch s390 s390x
/usr/X11R6/bin/xf86config
%endif
/usr/X11R6/bin/xfindproxy
/usr/X11R6/bin/xftcache
/usr/X11R6/bin/xfwp
/usr/X11R6/bin/xgamma
/usr/X11R6/bin/xhost
%ifnarch s390 s390x
/usr/X11R6/bin/xinit
%endif
/usr/X11R6/bin/xkbbell
/usr/X11R6/bin/xkbcomp
/usr/X11R6/bin/xkbevd
/usr/X11R6/bin/xkbprint
/usr/X11R6/bin/xkbvleds
/usr/X11R6/bin/xkbwatch
/usr/X11R6/bin/xlsatoms
/usr/X11R6/bin/xlsclients
/usr/X11R6/bin/xlsfonts
# xmh is obsolete /usr/X11R6/bin/xmh
/usr/X11R6/bin/xmodmap
/usr/X11R6/bin/xon
/usr/X11R6/bin/xprop
/usr/X11R6/bin/xrandr
/usr/X11R6/bin/xrdb
/usr/X11R6/bin/xrefresh
/usr/X11R6/bin/xset
/usr/X11R6/bin/xsetmode
/usr/X11R6/bin/xsetpointer
/usr/X11R6/bin/xsetroot
/usr/X11R6/bin/xsm
/usr/X11R6/bin/xstdcmap
/usr/X11R6/bin/xterm
%if %{BuildXterm3d}
/usr/X11R6/bin/xterm3d
%endif
/usr/X11R6/bin/xvidtune
/usr/X11R6/bin/xwd
/usr/X11R6/bin/xwud
%ifnarch s390 s390x
%dir /usr/X11R6/lib/X11/doc
/usr/X11R6/lib/X11/doc/*
%endif

# XFree86 server modules #################################################
%dir /usr/X11R6/lib/modules
/usr/X11R6/lib/modules/*.a
%ifarch %{ix86} alpha
/usr/X11R6/lib/modules/*.uc
%endif
%dir /usr/X11R6/lib/modules/codeconv
/usr/X11R6/lib/modules/codeconv/*
%dir /usr/X11R6/lib/modules/extensions
/usr/X11R6/lib/modules/extensions/*
%dir /usr/X11R6/lib/modules/fonts
/usr/X11R6/lib/modules/fonts/*
%ifnarch s390 s390x
%dir /usr/X11R6/lib/modules/input
/usr/X11R6/lib/modules/input/*
%dir /usr/X11R6/lib/modules/linux
/usr/X11R6/lib/modules/linux/*
%dir /usr/X11R6/lib/modules/dri
/usr/X11R6/lib/modules/dri/*
%dir /usr/X11R6/lib/modules/drivers
/usr/X11R6/lib/modules/drivers/*
%endif

# Provided by the Xconfigurator package in RHL 7.x, and in the hwdata
# currently in rawhide.
#/usr/X11R6/lib/X11/Cards
# This should probably be moved to Xconfigurator also
%ifnarch s390 s390x
/usr/X11R6/lib/X11/Options
/usr/X11R6/lib/X11/XF86Config
/usr/X11R6/lib/X11/XErrorDB
# Junk config file for PC98
#/usr/X11R6/lib/X11/XF86Config.98
#/usr/X11R6/lib/X11/XF86Config.eg
%endif
/usr/X11R6/lib/X11/XKeysymDB
/usr/X11R6/lib/X11/XftConfig
/usr/X11R6/lib/X11/rgb.txt

%dir /usr/X11R6/lib/X11/app-defaults
%ifnarch s390 s390x
/usr/X11R6/lib/X11/etc/*
/usr/X11R6/lib/X11/xinit
%endif
/usr/X11R6/lib/X11/xkb/*
/etc/X11/xkb
%dir /usr/X11R6/lib/X11/x11perfcomp
/usr/X11R6/lib/X11/x11perfcomp/*
/usr/X11R6/lib/X11/xsm
%ifnarch s390 s390x
# SuperProbe is obsolete /usr/X11R6/man/man1/SuperProbe.1*
/usr/X11R6/man/man1/XFree86.1*
%endif
/usr/X11R6/man/man1/Xserver.1*
/usr/X11R6/man/man1/Xmark.1*
/usr/X11R6/man/man1/appres.1*
/usr/X11R6/man/man1/atobm.1*
/usr/X11R6/man/man1/bdftopcf.1*
/usr/X11R6/man/man1/bitmap.1*
/usr/X11R6/man/man1/bmtoa.1*
/usr/X11R6/man/man1/dga.1*
/usr/X11R6/man/man1/dpsexec.1*
/usr/X11R6/man/man1/dpsinfo.1*
/usr/X11R6/man/man1/editres.1*
/usr/X11R6/man/man1/iceauth.1*
/usr/X11R6/man/man1/lbxproxy.1*
%ifarch %{ix86} alpha
/usr/X11R6/man/man1/libxrx.1*
%endif
/usr/X11R6/man/man1/lndir.1*
/usr/X11R6/man/man1/luit.1*
/usr/X11R6/man/man1/makedepend.1*
/usr/X11R6/man/man1/makepsres.1*
/usr/X11R6/man/man1/makestrs.1*
/usr/X11R6/man/man1/mkcfm.1*
/usr/X11R6/man/man1/mkdirhier.1*
/usr/X11R6/man/man1/oclock.1*
%ifnarch s390 s390x ppc ppc64
/usr/X11R6/man/man1/pcitweak.1*
%endif
/usr/X11R6/man/man1/proxymngr.1*
/usr/X11R6/man/man1/resize.1*
/usr/X11R6/man/man1/revpath.1*
/usr/X11R6/man/man1/rstart.1*
/usr/X11R6/man/man1/rstartd.1*
%ifnarch s390 s390x ppc ppc64
/usr/X11R6/man/man1/scanpci.1*
%endif
/usr/X11R6/man/man1/sessreg.1*
/usr/X11R6/man/man1/setxkbmap.1*
/usr/X11R6/man/man1/showrgb.1*
/usr/X11R6/man/man1/smproxy.1*
%ifnarch s390 s390x
/usr/X11R6/man/man1/startx.1*
%endif
/usr/X11R6/man/man1/texteroids.1*
/usr/X11R6/man/man1/twm.1*
/usr/X11R6/man/man1/xauth.1*
/usr/X11R6/man/man1/xcmsdb.1*
/usr/X11R6/man/man1/xconsole.1*
/usr/X11R6/man/man1/xcutsel.1*
/usr/X11R6/man/man1/xdpyinfo.1*
%ifnarch s390 s390x
/usr/X11R6/man/man1/xf86config.1*
%endif
/usr/X11R6/man/man1/xfindproxy.1*
/usr/X11R6/man/man1/xftcache.1*
/usr/X11R6/man/man1/xfwp.1*
/usr/X11R6/man/man1/xgamma.1*
/usr/X11R6/man/man1/xhost.1*
%ifnarch s390 s390x
/usr/X11R6/man/man1/xinit.1*
%endif
/usr/X11R6/man/man1/xkbcomp.1*
/usr/X11R6/man/man1/xkbevd.1*
/usr/X11R6/man/man1/xkbprint.1*
/usr/X11R6/man/man1/xkill.1*
/usr/X11R6/man/man1/xlogo.1*
/usr/X11R6/man/man1/xlsatoms.1*
/usr/X11R6/man/man1/xlsclients.1*
/usr/X11R6/man/man1/xlsfonts.1*
# xmh is obsolete /usr/X11R6/man/man1/xmh.1*
/usr/X11R6/man/man1/xmodmap.1*
/usr/X11R6/man/man1/xon.1*
/usr/X11R6/man/man1/xprop.1*
/usr/X11R6/man/man1/xrandr.1*
/usr/X11R6/man/man1/xrdb.1*
/usr/X11R6/man/man1/xrefresh.1*
/usr/X11R6/man/man1/xset.1*
/usr/X11R6/man/man1/xsetmode.1*
/usr/X11R6/man/man1/xsetpointer.1*
/usr/X11R6/man/man1/xsetroot.1*
/usr/X11R6/man/man1/xsm.1*
/usr/X11R6/man/man1/xstdcmap.1*
/usr/X11R6/man/man1/xterm.1*
/usr/X11R6/man/man1/xvidtune.1*
/usr/X11R6/man/man1/xwd.1*
/usr/X11R6/man/man1/xwud.1*
%ifnarch s390 s390x
/usr/X11R6/man/man4/*
/usr/X11R6/man/man5/*
%endif
/usr/X11R6/man/man7/*

### XFree86-tools ####################################################
%files tools
%defattr(-,root,root)
/usr/X11R6/bin/beforelight
/usr/X11R6/bin/glxinfo
/usr/X11R6/bin/glxgears
/usr/X11R6/bin/ico
/usr/X11R6/bin/listres
/usr/X11R6/bin/mkhtmlindex
/usr/X11R6/bin/oclock
/usr/X11R6/bin/showfont
/usr/X11R6/bin/ucs2any.pl
/usr/X11R6/bin/viewres
/usr/X11R6/bin/x11perf
/usr/X11R6/bin/x11perfcomp
/usr/X11R6/bin/xbiff
/usr/X11R6/bin/xcalc
/usr/X11R6/bin/xclipboard
/usr/X11R6/bin/xclock
/usr/X11R6/bin/xditview
/usr/X11R6/bin/xedit
/usr/X11R6/bin/xev
/usr/X11R6/bin/xeyes
/usr/X11R6/bin/xfd
/usr/X11R6/bin/xfontsel
/usr/X11R6/bin/xgc
# XIE is obsolete /usr/X11R6/bin/xieperf
# xload has no need to be SUID root
%attr(755,root,root) /usr/X11R6/bin/xload
/usr/X11R6/bin/xmag
/usr/X11R6/bin/xman
/usr/X11R6/bin/xmessage
/usr/X11R6/bin/xvinfo
/usr/X11R6/bin/xwininfo
/usr/X11R6/bin/xlogo
/usr/X11R6/bin/xkill
%dir /usr/X11R6/lib/X11/xedit
%dir /usr/X11R6/lib/X11/xedit/lisp
/usr/X11R6/lib/X11/xedit/lisp/fun.lsp
/usr/X11R6/lib/X11/xman.help
/usr/X11R6/man/man1/beforelight.1*
/usr/X11R6/man/man1/glxinfo.1*
/usr/X11R6/man/man1/glxgears.1*
/usr/X11R6/man/man1/ico.1*
/usr/X11R6/man/man1/listres.1*
/usr/X11R6/man/man1/showfont.1*
/usr/X11R6/man/man1/viewres.1*
/usr/X11R6/man/man1/x11perf.1*
/usr/X11R6/man/man1/x11perfcomp.1*
/usr/X11R6/man/man1/xbiff.1*
/usr/X11R6/man/man1/xcalc.1*
/usr/X11R6/man/man1/xclipboard.1*
/usr/X11R6/man/man1/xclock.1*
/usr/X11R6/man/man1/xditview.1*
/usr/X11R6/man/man1/xedit.1*
/usr/X11R6/man/man1/xev.1*
/usr/X11R6/man/man1/xeyes.1*
/usr/X11R6/man/man1/xfd.1*
/usr/X11R6/man/man1/xfontsel.1*
/usr/X11R6/man/man1/xgc.1*
# XIE is obsolete /usr/X11R6/man/man1/xieperf.1*
/usr/X11R6/man/man1/xload.1*
/usr/X11R6/man/man1/xmag.1*
/usr/X11R6/man/man1/xman.1*
/usr/X11R6/man/man1/xmessage.1*
/usr/X11R6/man/man1/xvinfo.1*
/usr/X11R6/man/man1/xwininfo.1*

### XFree86-xtrap-clients ############################################
%files xtrap-clients
%defattr(-,root,root)
/usr/X11R6/bin/xtrapchar
/usr/X11R6/bin/xtrapin
/usr/X11R6/bin/xtrapinfo
/usr/X11R6/bin/xtrapout
/usr/X11R6/bin/xtrapproto
/usr/X11R6/bin/xtrapreset
/usr/X11R6/bin/xtrapstats
/usr/X11R6/man/man1/xtrap.1*
/usr/X11R6/man/man1/xtrapchar.1*
/usr/X11R6/man/man1/xtrapin.1*
/usr/X11R6/man/man1/xtrapinfo.1*
/usr/X11R6/man/man1/xtrapout.1*
/usr/X11R6/man/man1/xtrapproto.1*
/usr/X11R6/man/man1/xtrapreset.1*
/usr/X11R6/man/man1/xtrapstats.1*


%files xfs
%defattr(-,root,root)
%dir /etc/X11/fs
# Changed back to 'noreplace' to fix bug #53103
%config(noreplace) %verify(not md5 size mtime) /etc/X11/fs/config
%config /etc/rc.d/init.d/xfs
/usr/X11R6/bin/xfsinfo
/usr/X11R6/bin/fslsfonts
/usr/X11R6/bin/fstobdf
/usr/X11R6/bin/xfs
/usr/X11R6/lib/X11/fs
/usr/X11R6/man/man1/xfs.1*
/usr/X11R6/man/man1/xfsinfo.1*
/usr/X11R6/man/man1/fslsfonts.1*
/usr/X11R6/man/man1/fstobdf.1*

# Please do not put files into the font-utils package that are linked to any
# X libraries.  The intent being to not need X installed to get mkfontdir and
# ttmkfdir.
%files font-utils
%defattr(-,root,root)
/usr/X11R6/bin/mkfontdir
/usr/X11R6/man/man1/mkfontdir.1*
%if %{with_ttmkfdir}
/usr/bin/ttmkfdir
%endif

%files twm
%defattr(-,root,root)
%dir /etc/X11/twm
%config /etc/X11/twm/system.twmrc
/usr/X11R6/bin/twm
/usr/X11R6/lib/X11/twm


%files xdm
%defattr(-,root,root)
%dir /etc/X11/xdm
/etc/X11/xdm/authdir
%dir /etc/X11/xdm/pixmaps
/etc/X11/xdm/pixmaps/*
# We ship these in the xinitrc package
#%config /etc/X11/xdm/GiveConsole
#%config /etc/X11/xdm/TakeConsole
#%config /etc/X11/xdm/Xaccess
%config /etc/X11/xdm/Xservers
# We ship these in the xinitrc package
#/etc/X11/xdm/Xsession
#/etc/X11/xdm/Xsetup_0
%config /etc/X11/xdm/Xresources
%config /etc/X11/xdm/Xwilling
# FIXME: chooser is an ELF executable, should not be in /etc really
/etc/X11/xdm/chooser
%config  %attr(0644,root,root) /etc/pam.d/xdm
/usr/X11R6/bin/xdm
/usr/X11R6/lib/X11/xdm
/usr/X11R6/man/man1/xdm.1*
%dir /var/lib/xdm
%dir %attr(0700,root,root) /var/lib/xdm/authdir


%files devel
%defattr(-,root,root)
%if ! %{WithExternalMesa}
# Changed GL include dir, on Mar 17, 2002 for 4.2.0-6.48 release
%dir /usr/include/GL
/usr/include/GL/*
# These three are here for documentation only.  They're picked up below by
# the glob /usr/X11R6/lib/*.so
#/usr/X11R6/lib/libGL.so
#/usr/X11R6/lib/libGLU.so
#/usr/X11R6/lib/libOSMesa.so
#/usr/include/GL
/usr/lib/libGL.so
/usr/lib/libGLU.so
#/usr/lib/libOSMesa.so
%endif
%dir /usr/X11R6/include/DPS
%dir /usr/X11R6/include/X11
%dir /usr/X11R6/include/X11/ICE
# PEX is obsolete %dir /usr/X11R6/include/X11/PEX5
%dir /usr/X11R6/include/X11/PM
%dir /usr/X11R6/include/X11/SM
%dir /usr/X11R6/include/X11/Xaw
%dir /usr/X11R6/include/X11/Xft
%dir /usr/X11R6/include/X11/Xmu
%dir /usr/X11R6/include/X11/bitmaps
/usr/X11R6/include/X11/bitmaps/*
%ifnarch s390 s390x
%dir /usr/X11R6/include/X11/pixmaps
/usr/X11R6/include/X11/pixmaps/*
%endif
%dir /usr/X11R6/include/X11/extensions
/usr/X11R6/include/X11/extensions/*.h
%dir /usr/X11R6/include/X11/fonts
/usr/X11R6/include/X11/fonts/*.h
%dir /usr/X11R6/include/X11/fonts/codeconv
/usr/X11R6/include/X11/fonts/codeconv/*.h
%dir /usr/X11R6/lib/X11/config
/usr/X11R6/bin/cxpm
/usr/X11R6/bin/gccmakedep
/usr/X11R6/bin/imake
/usr/X11R6/bin/makedepend
/usr/X11R6/bin/makeg
/usr/X11R6/bin/pswrap
/usr/X11R6/bin/rman
/usr/X11R6/bin/sxpm
/usr/X11R6/bin/xmkmf
%ifnarch s390 s390x
/usr/X11R6/include/*.h
%endif
/usr/X11R6/include/DPS/*.h
/usr/X11R6/include/X11/*.h
/usr/X11R6/include/X11/ICE/*.h
# PEX is obsolete /usr/X11R6/include/X11/PEX5/*.h
/usr/X11R6/include/X11/PM/*.h
/usr/X11R6/include/X11/SM/*.h
/usr/X11R6/include/X11/Xaw/*
/usr/X11R6/include/X11/Xft/*
/usr/X11R6/include/X11/Xmu/*.h
/usr/X11R6/lib/*.a
/usr/X11R6/lib/*.so
/usr/X11R6/lib/X11/config/*
/usr/include/X11
/usr/include/DPS
/usr/X11R6/man/man1/cxpm.1*
/usr/X11R6/man/man1/imake.1*
/usr/X11R6/man/man1/makeg.1*
/usr/X11R6/man/man1/pswrap.1*
/usr/X11R6/man/man1/rman.1*
/usr/X11R6/man/man1/sxpm.1*
/usr/X11R6/man/man1/xmkmf.1*
/usr/X11R6/man/man3/*

%files libs
%defattr(-,root,root)
# All manpage dirs owned by libs package to guarantee they are owned by some
# installed package because everything pretty much depends on libs being there
%dir /usr/X11R6/man
%dir /usr/X11R6/man/man1
%dir /usr/X11R6/man/man2
%dir /usr/X11R6/man/man3
%dir /usr/X11R6/man/man4
%dir /usr/X11R6/man/man5
%dir /usr/X11R6/man/man6
%dir /usr/X11R6/man/man7
%dir /usr/X11R6/man/man8
%dir /usr/X11R6/lib/X11
%dir /usr/X11R6/lib/X11/locale
/usr/X11R6/lib/X11/locale/*

# Shared libraries:  /usr/X11R6/lib/lib*.so.* might be better in the long run
# except for arch specific stuff, but it shouldn't be built in the first place.
%if ! %{WithExternalMesa}
/usr/X11R6/lib/libGL.so.*
/usr/X11R6/lib/libGLU.so.*
/usr/X11R6/lib/libOSMesa.so.*
/usr/lib/libGL.so.*
/usr/lib/libGLU.so.*
#/usr/lib/libOSMesa.so.*
%endif
/usr/X11R6/lib/libICE.so.*
# PEX is obsolete /usr/X11R6/lib/libPEX5.so.*
/usr/X11R6/lib/libSM.so.*
/usr/X11R6/lib/libX11.so.*
# XIE is obsolete /usr/X11R6/lib/libXIE.so.*
/usr/X11R6/lib/libXTrap.so.*
/usr/X11R6/lib/libXaw.so.*
/usr/X11R6/lib/libXext.so.*
/usr/X11R6/lib/libXfont.so.*
/usr/X11R6/lib/libXft.so.*
/usr/X11R6/lib/libXi.so.*
/usr/X11R6/lib/libXmu.so.*
/usr/X11R6/lib/libXmuu.so.*
/usr/X11R6/lib/libXp.so.*
/usr/X11R6/lib/libXpm.so.*
/usr/X11R6/lib/libXrandr.so.*
/usr/X11R6/lib/libXrender.so.*
/usr/X11R6/lib/libXt.so.*
/usr/X11R6/lib/libXtst.so.*
/usr/X11R6/lib/libdps.so.*
/usr/X11R6/lib/libdpstk.so.*
/usr/X11R6/lib/libpsres.so.*
%ifarch %{ix86} alpha
/usr/X11R6/lib/libxrx.so.*
%endif

### XFree86-base-fonts ###############################################
%files base-fonts
%defattr(-,root,root)
%dir /usr/X11R6/lib/X11/fonts

# base 100dpi fonts
%dir /usr/X11R6/lib/X11/fonts/100dpi
%ghost %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/100dpi/encodings.dir
%config(noreplace) %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/100dpi/fonts.alias
%ghost %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/100dpi/fonts.dir
# base 75dpi fonts
%dir /usr/X11R6/lib/X11/fonts/75dpi
%ghost %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/75dpi/encodings.dir
%config(noreplace) %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/75dpi/fonts.alias
%ghost %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/75dpi/fonts.dir
# base CID fonts
%dir /usr/X11R6/lib/X11/fonts/CID
%ghost %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/CID/encodings.dir
%ghost %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/CID/fonts.dir
%ghost %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/CID/fonts.scale
# Encoding files
%dir /usr/X11R6/lib/X11/fonts/encodings
/usr/X11R6/lib/X11/fonts/encodings/*
# local, and misc do not currently contain fonts, but we want to own the dir
%dir /usr/X11R6/lib/X11/fonts/local
%ghost %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/local/encodings.dir
%ghost %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/local/fonts.dir
# No need for this, at least right now..
#%ghost %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/local/fonts.scale

# base misc files
%dir /usr/X11R6/lib/X11/fonts/misc
/usr/X11R6/lib/X11/fonts/misc/*.pcf.gz
%ghost %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/misc/encodings.dir
%config(noreplace) %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/misc/fonts.alias
%ghost %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/misc/fonts.dir

# Utility fonts?  Font utilities? Ruh-roh....
%dir /usr/X11R6/lib/X11/fonts/util
/usr/X11R6/lib/X11/fonts/util/*

# base Speedo fonts
%dir /usr/X11R6/lib/X11/fonts/Speedo
/usr/X11R6/lib/X11/fonts/Speedo/*.spd
%ghost %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/Speedo/encodings.dir
%ghost %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/Speedo/fonts.dir
%verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/Speedo/fonts.scale

# base Type1 fonts
%dir /usr/X11R6/lib/X11/fonts/Type1
/usr/X11R6/lib/X11/fonts/Type1/*.afm
/usr/X11R6/lib/X11/fonts/Type1/*.pfa
/usr/X11R6/lib/X11/fonts/Type1/*.pfb
%ghost %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/Type1/encodings.dir
%ghost %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/Type1/fonts.dir
%verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/Type1/fonts.scale

### XFree86-truetype-fonts ###########################################
%files truetype-fonts
%defattr(-,root,root)
%dir /usr/X11R6/lib/X11/fonts/TTF
/usr/X11R6/lib/X11/fonts/TTF/*.ttf
%ghost %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/TTF/encodings.dir
%ghost %verify(not md5 size mtime) %config(noreplace) /usr/X11R6/lib/X11/fonts/TTF/fonts.alias
%ghost %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/TTF/fonts.dir
%ghost %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/TTF/fonts.scale

%files 75dpi-fonts
%defattr(-,root,root)
%dir /usr/X11R6/lib/X11/fonts/75dpi
# ISO-10646-1 fonts 
/usr/X11R6/lib/X11/fonts/75dpi/UTBI__[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/UTB___[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/UTI___[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/UTRG__[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/courB[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/courBO[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/courO[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/courR[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/helvB[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/helvBO[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/helvO[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/helvR[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/luBIS[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/luBS[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/luIS[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/luRS[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/lubB[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/lubBI[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/lubI[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/lubR[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/lutBS[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/lutRS[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/ncenB[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/ncenBI[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/ncenI[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/ncenR[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/timB[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/timBI[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/timI[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/timR[0-9][0-9].pcf.gz
# ISO-8859-1 fonts
/usr/X11R6/lib/X11/fonts/75dpi/char*.pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/term14.pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/termB14.pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/*-ISO8859-1.pcf.gz
# Misc non-ISO-foo fonts.
/usr/X11R6/lib/X11/fonts/75dpi/symb[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/tech14.pcf.gz
/usr/X11R6/lib/X11/fonts/75dpi/techB14.pcf.gz


# This contains ISO-10646-1 and ISO-8859-1 font encodings, and a few miscs.
%files 100dpi-fonts
%defattr(-,root,root)
%dir /usr/X11R6/lib/X11/fonts/100dpi
# ISO-10646-1 fonts 
/usr/X11R6/lib/X11/fonts/100dpi/UTBI__[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/UTB___[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/UTI___[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/UTRG__[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/courB[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/courBO[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/courO[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/courR[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/helvB[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/helvBO[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/helvO[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/helvR[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/luBIS[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/luBS[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/luIS[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/luRS[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/lubB[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/lubBI[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/lubI[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/lubR[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/lutBS[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/lutRS[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/ncenB[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/ncenBI[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/ncenI[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/ncenR[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/timB[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/timBI[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/timI[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/timR[0-9][0-9].pcf.gz
# ISO-8859-1 fonts
/usr/X11R6/lib/X11/fonts/100dpi/char*.pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/term14.pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/termB14.pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/*-ISO8859-1.pcf.gz
# Misc non-ISO-foo fonts.
/usr/X11R6/lib/X11/fonts/100dpi/symb[0-9][0-9].pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/tech14.pcf.gz
/usr/X11R6/lib/X11/fonts/100dpi/techB14.pcf.gz

%files ISO8859-2-75dpi-fonts
%defattr(-,root,root)
/usr/X11R6/lib/X11/fonts/75dpi/*-ISO8859-2.pcf.gz

%files ISO8859-2-100dpi-fonts
%defattr(-,root,root)
/usr/X11R6/lib/X11/fonts/100dpi/*-ISO8859-2.pcf.gz

%files ISO8859-9-75dpi-fonts
%defattr(-,root,root)
/usr/X11R6/lib/X11/fonts/75dpi/*-ISO8859-9.pcf.gz

%files ISO8859-9-100dpi-fonts
%defattr(-,root,root)
/usr/X11R6/lib/X11/fonts/100dpi/*-ISO8859-9.pcf.gz

%files ISO8859-15-75dpi-fonts
%defattr(-,root,root)
/usr/X11R6/lib/X11/fonts/75dpi/*-ISO8859-15.pcf.gz

%files ISO8859-15-100dpi-fonts
%defattr(-,root,root)
/usr/X11R6/lib/X11/fonts/100dpi/*-ISO8859-15.pcf.gz

%files cyrillic-fonts
%defattr(-,root,root)
%dir /usr/X11R6/lib/X11/fonts/cyrillic
/usr/X11R6/lib/X11/fonts/cyrillic/*.gz
%ghost %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/cyrillic/encodings.dir
%config(noreplace) %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/cyrillic/fonts.alias
%ghost %verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/cyrillic/fonts.dir

%ifnarch s390 s390x
%files doc
%defattr(-,root,root)
%doc xc/doc/hardcopy/*
%endif

%files Xnest
%defattr(-,root,root)
/usr/X11R6/bin/Xnest
/usr/X11R6/man/man1/Xnest.1*

%files Xvfb
%defattr(-,root,root)
/usr/X11R6/bin/Xvfb
/usr/X11R6/man/man1/Xvfb.1*

%ifnarch ia64 s390 s390x
%files xf86cfg
%defattr(-,root,root)
/usr/X11R6/bin/xf86cfg
/usr/X11R6/man/man1/xf86cfg.1*
%endif


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT 


########## CHANGELOG SECTION #########################################
## 

%changelog
* Thu Apr 18 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-8
- Fixed bug in XFree86 post install script, renaming XF86Config-4 config file
  to .rpmsave, and preserving permissions of the file.
- Corrected perms on /dev/dri

* Sat Apr 13 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-7
- Updated mitshm patch

* Thu Apr 11 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.666
- Added code to XFree86 post install script to remove xie and pex5 module
  load lines from XF86Config-4 upon upgrade/install since XIE and PEX are
  no longer provided nor supported, and X will not start if those lines
  exist in the config file. (#63119)
- Added fix for sessreg being broken with high UIDs due to open() being used
  to open a file larger than 32bit offsets can handle. (#42850,#63116)
- Fixed startx ugliness issue with hostname command (#61278,63117)
- Removed double ghost flag in truetype-fonts package
- Removed config(noreplace) from Speedo fonts.dir (#63357)
- I went outside today, and the snow is almost completely gone!

* Wed Apr 10 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.62
- Made specfile remove fonts.dir files generated by XFree86 build, and
  "touch" them instead so they satisfy the ghost flag.  Also for the fonts.alias
  for the TTF directory.
- Removed CID directory from list of dirs to run mkfontdir in and add to
  fontpath, because our XFree86 build is not including fonts in there anymore,
  so it should not add the dir to the fontpath, nor run mkfontdir in it.
- Fixed bug in truetype-fonts subpackage which was adding cyrillic to fontpath
  instead of the TTF directory due to cut and paste error.
- Audited all font subpackage file lists for accuracy, correcting various
  ghost/config/verify flags, adding missing ghosted fonts.alias, etc. files to
  the lists also, so the files are owned by the package if a user creates them.
- Added ISO8859-15 locale aliases to locale.alias for en_US and en_GB (#62844)

* Tue Apr  9 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.61
- Added patch to fix various ATI Radeon issues. Will fill in the
  details of what specifically is fixed after testing the fixes.
  VTswitch is one... <more later>

* Mon Apr  8 2002 Mike A. Harris <mharris@redhat.com>
- Changed xf86cfg dep on Xconfigurator to /usr/X11R6/lib/X11/Cards

* Fri Apr  5 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.60
- Added fix for Trident 9397 bug (#62119)

* Mon Apr  1 2002 Mike A. Harris <mharris@redhat.com>
- Updated ttmkfdir-freetype2-port-plus-cjk-chocolaty-goodness.patch to
  build properly with gcc 3.x (Bero,Yu Shao)

* Thu Mar 28 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.52
- Fixed Matrox G550 cursor on second head mga-g550-cursor patch
- Created new support for Euro currency symbol for gb, hu, hu_US, pl, pl2, tr,
  us_intl keymaps based on http://www.microsoft.com/typography/faq/faq12.htm,
  also closing bugs (#56818, and a few others I need to track down in bugzilla)
- Put fonts.alias back in misc fonts directory, it slipped out somehow.

* Thu Mar 28 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.51
 - Flagged encodings.dir, fonts.dir, fonts.scale files properly for the
  misc, Type1, and Speedo directories in base-fonts, and changed the file
  globs to match just the font files in order to fix bug (#59619)
- Fixed similar issues to above in bug (#61940)
- Added XFree86-4.2.0-sparc_pci_domains.patch for sparc support (#62037)
- Fixed duplicate Slovak entries - MF bug (#61709)
- Confirmed ulT1mo fonts work and closed - MF bug (#61694) and (#62036)

* Wed Mar 27 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.50
- Added ko, zh_CN, zh_TW entries to XftConfig for bug (#61282)
- Changed antialiasing on small fonts from "any size < 14" to "any size < 11"
- Added gb18030-enc patch from Yu Shao
- ttmkfdir ported to freetype2, plus misc enhancements for CJK

* Sun Mar 17 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.48
- Moved GL include files into /usr/include/GL for compliance with defacto
  and possibly official standards due to user complaints.
- Changed host.def to not symlink GL include dir into /usr/include

* Thu Mar 14 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.47
- Updated package descriptions to not suck quite so bad, and not be
  so meaninglessly verbose as they have been for a while.  We do not want
  to scare away Harry Homeowner.

* Tue Mar 12 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.46
- Cleaned up xfs initscript to use simpler syntax, and fix a few issues

* Sun Mar 10 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.45
- Added the /usr/X11R6/lib/X11/fonts/TTF dir to XftConfig (#60901)
- Updated bugfix for (#60906) from Keith Packard
- Built on all arches

* Sun Mar 10 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.44
- Fixed up tdfx DRI disable patch for hires on voodoo3/banshee
- Updated Glide3 dependancy, to pick up new Glide3 package with libs directly
  in /usr/lib, instead of in /usr/lib/glide3

* Thu Mar  7 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.42
- Added XFree86-4.2.0-mitshm.patch to fix security issue
- Added fix for time wraparound bug (#60906)

* Wed Mar  6 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.41
- Resolved some Brazillian and Icelandic keyboard issues (hopefully).

* Mon Mar  4 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.40
- Added XFree86-4.2.0-xkb-is.patch to fix bug (#60594)
- Moved all xkb symbol patches to section 800 - 819
- disabled tdfx font corruption patch

* Thu Feb 28 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.39
- Added XFree86-4.2.0-ati-mach64-rage-XL.patch to fix problems reported
  on many IBM servers (#58188)
- Fixed memleak in Xlib with XFree86-4.2.0-xlib-memleak.patch

* Wed Feb 27 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.38
- Reorganized various fonts.dir, fonts.alias, encodings.dir files to try and
  fix some of the reported problems that have come up after various
  installations.  All files are believed to be properly flaged with ghost,
  verify and config attributes now.

* Tue Feb 26 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.37
- Fixed xfs initscript to use "reload" instead of "restart" for the
  condrestart option.

* Sun Feb 24 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.36
- Fixed ghost/config flags on various fonts.dir, fonts.alias, encodings.dir
  files in file list section.
- Fixed bug in truetype-fonts scripts which contained %%_ttmkfdir instead
  of just plain old ttmkfdir

* Sat Feb 23 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.35
- Added specfile URL to http://www.xfree86.org
- Rebuilt with new built toolchain in new environment

* Mon Feb 11 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.34
- Enabled Radeon PCI pcigart support in radeon_dri.c and radeon_cp.c
- Disabled the ugly black and white pattern that X starts up with by default
  with XFree86-4.2.0-die-ugly-pattern-die-die-die.patch - blue or something
  else will replace it in the future likely.

* Mon Feb 11 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.33
- Ghosted encodings.dir files in 100dpi and 75dpi font subpackages
- Modified XftConfig with some suggested changes from Keith Packard for better
  AA font support, by moving stuff around (#59192)
- Added Luxi font aliases, etc. to XftConfig for bug (#59708)
  
* Sat Feb  9 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.32
- Created support for ATI Radeon Mobility M7 (LX) and also updated the
  pcitable, and Cards databases, in the hwdata package also.
- Removed the conditional BuildPrereq for pam-devel et al. and replaced it
  with /usr/include/security/pam_modules.h which will automatically do the
  right thing regardless of what distro release is being built for.

* Fri Feb  8 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.31
- Drop XFree86-4.0.2-neomagic_swcursor.patch previously included for sony
  laptops using Neomagic 256XL+ (NM2380), and set the option to default to
  on in the Cards database instead.
- Created sis-swcursor option patch
- Created xkb-us_intl-missing-commas to fix bug (#59529)
  
* Thu Feb  7 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.30
- Experimental patch to disable DRI on tdfx when an incompatible hires
  video mode is selected that is known to cause unstable behaviour.
- Removed -e arguments from calls to mkfontdir in spec file as they appear
  to be unnecessary now.
- Added XFree86-4.2.0-zh_TW-xcin.patch to fix xcin (Owen Taylor, Leon Ho)

* Wed Feb  6 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.24
- First merge with upstream stable branch xf-4_2-branch-patch-2002-02-06
- Misc fixes:  Fix startx script for ksh, temporary workaround for IA-64,
  fix SIGSEGV when printing modes that have no flags, fix an unresolved
  symbol in libGLU.so with gcc 3, revert the composite sync default to off
  in the ati driver.

* Tue Feb  5 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.23
- Updated XFree86-4.2.0-gb18030-20020207.patch from Yu Shao <yshao@redhat.com>
- Added i810-dont-force-XvMC-on-DRI-users patch to fix bug in where i810
  users must enable XvMC in addition to DRI in order for DRI to work. (#59318)
- Added patch XFree86-4.2.0-FIRSTINDEX-breaks-ttmkfdir to remove FIRSTINDEX
  entries from large font encoding files as it makes ttmkfdir deep six.

* Tue Feb  5 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.21
- Added XFree86-4.2.0-i810-dont-use-empty-for-loops-for-delays.patch which
  removes null for loops from the i810 driver and i810 and i830 kernel DRM
  drivers for Linux and BSD.  The for loops were used as a timing delay, and
  are now replaced with "usleep(1);" instead.
- Added ttmkfdir-CJK-bug-54087-fix and bugzilla-54087-fix-gbk-encoding
  patches to fix bug (#54087)
- Fixed libGLU symlink screwup by changing from absolute to relative symlinks

* Sun Feb  3 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.20
- NEW XFree86-truetype-fonts subpackage which includes the new Luxi
  fonts (formerly Lucidux) by Bigelow and Holmes.
- Added /usr/lib/libGLU.so.* and /usr/lib/libGLU.so symlinks to the libGLU
  libraries included in XFree86 in the /usr/X11R6 directories for OpenGL
  standards compliance, and disabled the non-working Imake patch I made
  earlier to do the same.  This is fairly CRITICAL as any OpenGL software
  which uses GLU, will fail to compile without the proper links.
- Removed a bunch of leftover Glide3 specfile mess.
- Removed ancient no longer necessary hardlink between xterm and nxterm

* Sun Feb  3 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.15
- Created support for interlaced video modes on 3dfx Voodoo 3/4/5, with
  the enable-interlaced-modes patch.
- Created tdfx-fix-vtswitch-font-corruption patch to try to fix the VGA
  font corruption that occurs on VT switch on Voodoo 3 and other 3dfx cards.
  
* Sun Feb  3 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6.14
- Added XFree86-4.2.0-tdfx-should-be-2048-not-2046.patch to fix a typo
  I found in the tdfx driver.
- Fixed bug in ttmkfdir Makefile.  In RHL 7.1 & 7.2 freetype 1 headers
  were in /usr/include/freetype however in RHL 7.2 for some god known
  reason they moved to /usr/include/freetype1/freetype.  No problem in
  RHL 7.2 as ttmkfdir used the freetype headers as part of the freetype
  build process rather than the system headers.
    
* Sun Feb  3 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-6
- Fixed base-fonts and font-utils conflicts lines
- Bumped release to 4.2.0-6, and rebuilt
- RHL 7.2 build release tag 4.2.0-0.6.13

* Sat Feb  2 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-5.2
- NEW XFree86-font-utils subpackage created for mkfontdir and ttmkfdir
  to reside in.  This will allow these utils to be available without
  requiring other XFree86 libs or packages being installed.
- Added patch to fix Matrox driver when VT switching to non-standard text
  modes (#59119)
- Created new Red Hat custom modelines patch, merged previous patches into
  it, and added new modelines from bug (#53364)
- RHL 7.2 build release tag 4.2.0-0.6.11
  
* Fri Feb  1 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-5.1
- Created XFree86-4.2.0-xfs-syslog.patch to make syslog log to LOG_DAEMON
  instead of LOG_LOCAL0 - which is supposed to be reserved for local
  system usage only.  Fixes bug (#24873)
- RHL 7.2 build release tag 4.2.0-0.6.10
  
* Thu Jan 31 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-5
- Enabled the now compiling gb18030 support patch
- RHL 7.2 build release tag 4.2.0-0.6.9

* Thu Jan 31 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-4.1
- Added gb18030 support patch to 4.2.0 <yshao@redhat.com>, but disabled it
  as it does not properly compile yet.
- enabled patch to force xfs to chdir to / before fork()
- RHL 7.2 build release tag 4.2.0-0.6.8

* Wed Jan 30 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-4.0
- Added XFree86-4.2.0-xkb-ar.patch for Arabic support (#56897)
- Also built 4.2.0-0.6.7 for RHL 7.2

* Tue Jan 29 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-3.6
- Added missing defattr to files list for XFree86-base-fonts (#59014,59020)
- Moved all /usr/X11R6/lib/modules files/dirs into same section of specfile
  and added dir flags for dirs that were not owned by the package.
- Enhanced the xfs initscript so "restart" shuts down xfs and starts it back
  up again, using the stop/start functions.  "reload" is now what reload and
  restart used to be - "kill -USR1" of xfs.
- Added zh_CN-i18n patch to fix an i18n problem with
  Chinese locales

* Mon Jan 28 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-3.4
- Added chmod kludge to bottom of install section to force locale/common
  *.so.* libraries to have execute perms.
- Also built 4.2.0-0.6.5 for RHL 7.2
- Removed the version from the Glide/Glide-devel build dependancies, so
  X will build if any version of Glide3 is present.
  
* Sun Jan 27 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-3.2
- Added link-glu-to-usrinclude patch for LSB conformance.
- Made xfs post script use /bin/false in 7.x builds and /bin/nologin in
  rawhide builds.  (#53088)
  
* Sat Jan 26 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-3.1
- NEW XFree86-base-fonts subpackage created to hold all of the base fonts
  that were previously contained in the main XFree86 package.  The new
  package contains Conflicts lines to minimize upgrading difficulties.
- Added Prereq: /sbin/chkconfig for XFree86-xfs
- Removed XFree86-4.1.0-ati-r128-PR-fix.patch as it was no longer needed,
  although not harmful in either case.
- Removed various other spurious patches that were no longer being applied,
  but were left in the specfile.
- Removed conditional support for building XIE and PEX as they have been
  deprecated by XFree86.org for quite some time now and are now obsolete

* Fri Jan 25 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-3.0
- Toggled BuildGlide3 flag so that Glide3 does not get built inside XFree86
  specfile by default.  Glide3 has been separated back out to a separate
  RPM package to simplify the XFree86 spec file, and ease maintenance.

* Thu Jan 24 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-2.5
- Fixed bug in xfs initscript fixing a problem with xfs having a CWD under
  /usr, which when located on an NFS mount, causes problems. (#57110)
- Enabled libGLw in build (#41791,#41974)
- Built also 4.2.0-0.6.1 for RHL 7.2
 
* Wed Jan 23 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-2.4
- Updated Wacom USB tablet driver Wacom-USB-driver-a25-update (#52947)
- Added xkb-french-canadian keyboard to xkb list (#52309)
- Fixed Xterm resource bugs (#48783,#49315,#58031,#58713)

* Sun Jan 20 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-2.2
- Disabled the old DisableModuleStringMerging hack in specfile as 4.2.0
  detects wether or not this option is required or not now via Imake tests.
- Conditionalized pam and automake buildprereqs

* Sun Jan 20 2002 Bernhard Rosenkraenzer <bero@redhat.com> 4.2.0-2.1
- Fix build in current tree (Glide is a mess)

* Sat Jan 19 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-2.0
- Bumped release number to -2.0 with no changes from -0.3 package, for
  building into rawhide.  All packages built for RHL 7.x should use release
  numbers less than -2, and preferably less than -1, ie: -0.x.y, so that
  upgrades stand a better chance of working in the future.

* Sat Jan 19 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-0.3
- Updated the "Requires: kernel-drm = 4.2.0" to ensure the user has the
  proper DRM version installed.  Newer rawhide kernels will now provide both
  kernel-drm = 4.2.0, as well as kernel-drm = 4.1.0 since the new DRM is
  supposed to be backward compatible.
  
* Sat Jan 19 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-0.2
- Added missing defattr(-,root,root) to xtrap-clients subpackage

* Sat Jan 19 2002 Mike A. Harris <mharris@redhat.com> 4.2.0-0.1
- XFree86 4.2.0 released - first build

* Fri Jan 18 2002 Mike A. Harris <mharris@redhat.com> 4.1.99.7-0.1
- CVS trunk update to 4.1.99.7
- dropped patches that have been merged upstream

* Sun Jan 06 2002 Mike A. Harris <mharris@redhat.com> 4.1.99.4-0.1
- CVS trunk update

* Wed Dec 26 2001 Mike A. Harris <mharris@redhat.com> 4.1.99.3-0.1
- CVS trunk update

* Thu Dec  6 2001 Mike A. Harris <mharris@redhat.com> 4.1.99.2-0.2.4
- Integrated PPC arch changes from streeter@redhat.com
- Integrated the Chinese gb18030 support patches received from yshao@redhat.com
- Added SiS DRM patch (doesnt affect build as our DRM is in kernel rpm)

* Tue Dec  4 2001 Mike A. Harris <mharris@redhat.com> 4.1.99.2-0.2.3
- Removed eurofonts-X11.tar.bz2, and ulT1mo-beta-1.0.tar.gz from XFree86
  package, moving them to their own separate packages that do not conflict
  with XFree86 namespaces.  (Removed the ISO8859-2-Type1-fonts package)
- Added new shared libs libXTrap, libXrandr.so to file lists
- Added new applications to filelist: xrandr, xedit, luit, and various
  others, and their documentation.
- Added new subpackage XFree86-xtrap-clients to hold the new xtrap client
  utilities
          
* Sun Dec  2 2001 Mike A. Harris <mharris@redhat.com> 4.1.99.2-0.1.7
- Made XFree86 server binary SUID root when not supporting Xwrapper (#56986)

* Wed Nov 28 2001 Mike A. Harris <mharris@redhat.com> 4.1.99.2-0.1.5
- Conditionalized out Xwrapper as its functionality is built directly into
  the X server now.  To build it set BuildXwrapper to 1 in specfile.
  
* Mon Nov 19 2001 Mike A. Harris <mharris@redhat.com> 4.1.99.2-0.1.3
- Fixed that annoying Radeon hardware mouse cursor bug, where any mouse
  pointer that has a hotspot *NOT* on the left side of the pointer, caused
  the mouse to freeze up and jump around on left side of screen.
  XFree86-4.1.0-radeon-hardware-cursor-fix.patch
      
* Mon Nov 12 2001 Mike A. Harris <mharris@redhat.com> 4.1.99.2-0.1.2
- Updated xman patch, to use FreeBSD style man.config (why? I dunno.)

* Tue Nov  6 2001 Mike A. Harris <mharris@redhat.com> 4.1.99.2-0.1.1
- Added new entries to XftConfig for "console" and "fixed" to not antialias,
  which solves problems reported in konsole and other Qt applications.
- Updated CVS source to current.
- Removed patches that are now integrated into new upstream source base:
  XFree86-4.1.0-ati-radeon-dri-buildfix.patch

* Fri Nov  2 2001 Mike A. Harris <mharris@redhat.com> 4.1.99.2-0.0.4
- Fixed problems with WithExternalMesa disabled, in the file lists, etc.
- Made new section for internationalizaton patches (30-39), and moved all
  locale.alias patches to that section.
- Created some new aliases for en_AU, and en_CA and sent patches upstream.
  
* Thu Nov  1 2001 Mike A. Harris <mharris@redhat.com> 4.1.99.2-0.0.2
- Initial fork from 4.1.0 codebase to separate branch for 4.1.99.2 CVS
- Set Build_7x to 0, which now means XIE, PEX and external Mesa are gone,
  and the doctor says I can stop taking my medication now.
- Added preliminary support for building CVS snapshots, which will
  eventually result in nightly builds from CVS or somesuch.
- Removed patches that are integrated into new upstream source base:
  ati-r128-SM, cirrus-foobaroo-fix, allow-module-flags, Xrender-required-libs,
  libXfont-put-eof, twm-coredumpfix, compose-iso8859-2, crash-message-fixup,
  xinerama-extmod-fix
- Updated locale-nn_NO locale-en_BG patch, and sent upstream _again_.
- Updated mkfontdir-perms
- Added patch to remove SuperProbe leftovers.

* Tue Oct 30 2001 Than Ngo <than@redhat.com>
- Added XFree86-4.1.0-cpp-s390x.patch which fixes a man-pages of size 0
  bug on s390 (#54927,#54932)

* Sat Oct 27 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-5
- Disabled VT switch patch from -4 release after feedback of regression
- Updated the Savage driver with Tim Roberts 1.1.20t driver, this should
  fix the reported bugs with Staroffice locking up X, and also video
  memory detection problems: (#31879)
- Added XFree86-4.1.0-keycodes-abnt2.patch to fix abnt2 support bug(#55128)

* Mon Oct  7 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-4
- Added patch to fix VT switch hangs that are hardware independant.  This
  should fix numerous reported VT switch bug reports.
- Fixed up host.def parallel make stuff.. HasParallelMake define is broken,
  and unneeded for now.

* Sat Oct  6 2001 Mike A. Harris <mharris@redhat.com>
- Removed __rmfontpath macro, and its usage, as well as the rpm 4.0.3 dep,
  because a lot of people were getting snagged on it, and it is questionable
  of the benefit of removing the fontpaths anyways, since it does not harm
  anything by leaving the font paths in config files really.
- Changed /lib/libpam reqs to pam-devel instead
- Commented the DisableModuleStringMerging specfile define, and moved to top
  of specfile where it is much more visible, as a lot of people have been
  getting snagged on this.

* Wed Oct  3 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-3.9
- Modified and unified the "make World" buildlines by removing all the
  buildflags, etc. from them, and moving them into proper Imake configuration
  variables.
- Added "-pipe" to default C compiler flags, as it should work on all
  architectures now.
- Various other specfile cleanups.
- Created support for ATI Rage 128 PP (1002:5050) XFree86-4.1.0-ati-r128-PP.patch
  
* Mon Sep 24 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-3.8
- Silenced some Glide3 compiler warnings with Glide3-redhat-cleanup-1.patch.

* Sun Sep 23 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-3.5
- Primary integration of changes in specfile to allow simple conditional
  build of fully debuggable modularized XFree86 packages.  This is done by
  enabling DebuggableBuild RPM macro at top of specfile, adding "dbg" to
  Release tag, and rebuilding.  The resulting RPM packages total in at 127Mb
  of data, as opposed to 55Mb or so regularly.  In order to debug this
  debuggable XFree86, a special patched version of gdb 5.0 is required, which
  is currently a work in progress based on a much older patch for gdb 4.18.

* Mon Sep 17 2001 Mike A. Harris <mharris@redhat.com>
- Changed xfs initscript to use find -cnewer instead of -newer to fix
  bug (#53737)

* Wed Sep  5 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-3 
- Reordered font paths in xfs catalogue to put 75dpi first, etc..
- fixed couple critical specfile bugs that have slipped through til now

* Tue Sep  4 2001 Mike A. Harris <mharris@redhat.com>
- Fixed fs/config bug (MF#53103) as well as doing the same for XftConfig

* Fri Aug 31 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-2
- Fixed a couple SHOULD-FIX bugs - fontpath order (SF#52413),
  metaSendsEscape bug (SF#49315)

* Wed Aug 29 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-1.1
- Added "Requires: kernel-drm = 4.1.0" so that a matching kernel RPM package
  is installed and DRI works properly.  (Brought up by mkj/arjan, and agreed
  upon by me)

* Tue Aug 28 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-1
- Added dont-build-pex-docs patch from Branden Robinson to disable building
  PEX documentation (deprecated and obsolete)
- Fix permissions on XftConfig, and other source files. (MF#52735)
- Bravely bumping version to 4.1.0-1
- Added xinerama-extmod patch for bug (#52842)

* Mon Aug 27 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.99.2
- Added Obsoletes: XFree86-ISO8859-2-Type1-fonts < 4.1.0, and provides
  ISO8859-2-Type1-fonts, to fix upgrade from 7.1, and prepare for future
  packaging.
- Removed (noreplace) from fs/config, I *want* it to replace.
  
* Sun Aug 26 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.99.1
- Completed font related fixups (hopefully)
- Added specfile buildroot install time removal of fonts.dir files as they
  should never ever be included in the RPM packaging, but generated at
  runtime instead.

* Fri Aug 24 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.20.5
- Added XFree86-4.1.0-ati-pciids-cleanup.patch, which includes misc
  cleanups to the PCI tables for ATI hardware.
- Added ati-radeon-dri-buildfix from notting@redhat.com which hopefully
  fixes bug (#51884)

* Tue Aug 21 2001 Mike A. Harris <mharris@redhat.com>
- Completed font screwup overhaul take1.

* Mon Aug 20 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.20.1
- Added XFree86-4.1.0-s3virge-mx.patch to fix some corruption issues on
  S3 Virge MX hardware.
- BuildPreReq: rpm >= 4.0.3  (parameterized macro fix)

* Sat Aug 18 2001 Mike A. Harris <mharris@redhat.com>
- Exclude XFree86 doc dir from, and add xdm pixmaps to s390 arch.

* Wed Aug 15 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.20.0
- Added xman-soelim-fix to fix bug (#51037).
- Modified cirrus-foobaroo patch to disable debug messages (#51179)
- Backed out an xfs change that breaks serving 3.3.6 servers.  Attempted
  workaround for (#)
- Disable ATI update patch to see if it fixes Radeon DRI bugs.

* Mon Aug 13 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.9.13
- Added XFree86-4.1.0-radeon-slowdownthere.patch to fix bug where ATI
  Radeon hangs on faster computers when VT switching.
- Created fix for mkfontdir to force permissions on newly created fonts.dir
  and encodings.dir files to be mode 644, fixes bug (#51636)
- Added fix for iso8859-2 compose file (affects Mozilla)
- Added patch to prevent X error messages from referencing log file if
  it has not yet been opened.
- Created support for ATI Rage 128 SM (Xpert2000), and added rage128-SM patch
  to fix (#34732,#51230,#50231) <mharris@redhat.com>
- Created XFree86-4.1.0-locale-alias-en_GB.patch to fix (#47247,51169)
- Moved video hardware documentation in /usr/X11R6/lib/X11/doc to main
  XFree86 package as that is where the drivers are (#50828)
- Updated XFree86 dependancy on Mesa to -> 3:3.4.2-5

* Thu Aug  9 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.9.12
- Synced with XFree86 stable branch to pick up upstream bugfixes
- Added support for Japanese 109 key USB keyboard

* Wed Aug  8 2001 Mike A. Harris <mharris@redhat.com>
- merged new changes into specfile
- added nn_NO, en_GB locale.alias support
- Added support to xfs.init for .ttc font files, and to use case
  insensitive regex when grepping for truetype fonts.  (#41169)

* Sun Aug  4 2001 Bill Nottingham <notting@redhat.com> 4.1.0-0.9.11
- port & apply necessary DRI fixes that fell out

* Thu Aug  2 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.9.10
- Added custom Red Hat XftConfig to fix AA font problems (#49937)
- Added RPM_BUILD_ROOT to ia64 libxrx removal.. ;o(

* Tue Jul 31 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.9.9
- Enabled "HasLinuxInput YES" to force wacom driver to get built with USB
  support with 2.4 kernel.  Fixes bug (#50453).
  
* Mon Jul 30 2001 Mike A. Harris <mharris@redhat.com>
- Attempted fix for (#50043) -frame option ignored when -id option used
  on xwd  (XFree86-4.1.0-xwd-frame-option.patch)
- Made XF86Config-4 outside ifnarch s390 as Bero claims s390 uses it.

* Thu Jul 26 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.9.8
- Added improved X startup messages for debugging purposes
- Updated patch148 from ATI plus 2 minor buildfixes

* Wed Jul 25 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.9.7
- Added XFree86-4.1.0-libXfont-put-eof.patch to fix bug (#48830) where
  the 100dpi/75dpi helvBO12.pcf.gz fonts were getting munged.
- Added XFree86-4.1.0-twm-coredumpfix.patch to fix (#49674)
- Added XFree86-4.1.0-cirrus-foobaroo-fix.patch from Egbert Eich to attempt
  to fix the Cirrus Logic problems.
- Fix libxrx problem on ia64 (#49990) by removing libxrx from non-x86/alpha

* Tue Jul 24 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.9.4
- Added XF86Config and XF86Config-4 as owned config files (latter ghosted)
- Fixed s390 Buildprereq on gcc by unnegating macro test
- Apply patch 3003 (64bit.patch) to all 64bit arch's.

* Tue Jul 24 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.9.3
- Worked around rpm parameterized macro processing bug that caused a problem
  with postun scripts - discovered by rpmlint.
- Reformatted all pre/post/postun/etc. scripts to be more readable and
  maintainable.
- Added patch8 to xterm resources to provide RFE (#48783)

* Mon Jul 23 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.9.2
- Added bison, zlib-devel as Buildprereqs - discovered on s390 by
  <Karsten.Hopp@redhat.de>
- Added ati-radeon-ve patch from ATI (patch148)
- Made Prereq's on /usr/sbin/chkfontpath instead of on chkfontpath

* Sun Jul 22 2001 Mike A. Harris <mharris@redhat.com>
- ifnarchd patch1013 for s390

* Wed Jul 18 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.9.1
- Created new macro __rmfontpath to be called from font package postun
  scripts to fix bug (#49243)

* Mon Jul 16 2001 Mike A. Harris <mharris@redhat.com>
- Added /usr/X11R6/man/man6, and other non existing manX dirs to XFree86-libs
  package so anything using them ends up having the dir owned by something.
- Removed unneeded shared lib stuff (Xv/Xxf86dga)

* Sun Jul 15 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.9.0
- Added BuildPrereq: gcc >= 2.96-93 to guarantee compiler used supports
  the -fno-merge-constants option
- Made External Mesa usage conditionalized via WithExternalMesa so that it is
  easy to rebuild XFree86 with/without using external Mesa, which will be the 
  default at some point in the future.

* Wed Jul 11 2001 Mike A. Harris <mharris@redhat.com>
- Explicitly state mkfontdir path in __mkfontdir macro (#48829)

* Tue Jul 10 2001 Mike A. Harris <mharris@redhat.com>
- Removed SharedLibXdmGreet from host.def, it is the same as default anyway
- Removed tcl and tk as buildprereq's, Bero says they're not needed anymore

* Tue Jul 10 2001 Tim Powers <timp@redhat.com> 4.1.0-0.8.6
- don't require XFree86-compat-libs in XFree86-libs

* Tue Jul 10 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.8.5
- Fixed missing requiredlibs on shared libXrender so that prelinking works.
- Built 4.1.0-0.8.4
- Woops, I left shared libXv and libXxf86dga on again by accident.
- Built 4.1.0-0.8.5
  
* Mon Jul  9 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.8.1
- Fixed up xdm pre script
- Fixed up missing Latin2 Type1 fonts, they are now in the fonts/Type1 dir
- Removed shared libXv.so and libXxf86dga.so at request of XFree86 team,
  and in conjunction with discussion with Debian X maintainer.

* Mon Jul  9 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.7.51
- Fixed ia64 Glide3 build failure.

* Sun Jul  8 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.7.50
- Merged with xf-4_1-branch to pick up stable bugfixes, and removed
  XFree86-4.1.0-redhat-glint-missing-symbols.patch, also Banshee
  ramtiming fix picked up from the update. 
  
* Fri Jul  6 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.7.12
- Really disabled string merging this time
- Added verify flag to /etc/X11/fs/config
- Disabled shared libraries Xv/xf86dga for standards compliance.  These
  libraries do not have a stable API and should not be shared.  It was
  a Bad Idea(tm) to ship these.

* Wed Jul  4 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.7.8
- Disabled string merging in modules using ModuleLdFlags in host.def
- Added WORLDOPTS= to make World to get rid of the "-k" passed to make so
  that failed X builds will fail immediately instead of continuing on.

* Mon Jul  2 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.7.6
- Phase 1 - Amalgamated all my local font related changes to get fonts
  working better in the new 4.1.0 release. Straightened out 75dpi/100dpi
  brokenness and split up packages.
- mkfontdir is now called in post(un)install scripts, and fonts.dir files are
  not installed as part of packages anymore because it was a bad broken idea
  to do so because these files should be generated, not provided.
- Added missing \ in main package post script

* Thu Jun 21 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.7.5
- Added customer requested custom 1152x864x85Hz modeline

* Sun Jun 17 2001 Mike A. Harris <mharris@redhat.com>
- Reworked all ISO8859-* font subpackages for 4.1.0.  fonts.dir is not
  included in the packages, rather it is generated at post install time.
- Refixed (#31618)

* Sat Jun 16 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.6.1
- More s390 cleanups

* Fri Jun 15 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.6.0
- Integrated s390 patches sent by Than from Oliver Paukstadt

* Sat Jun  9 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.5.6
- Cleaned up unneeded Freetype2 stuff in host.def

* Fri Jun  8 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.5.6
- Take-1 at cleaning up some of the font related 'issues' due to the different
  way fonts are generated in 4.1.0.  Still many issues remaining.

* Wed Jun  6 2001 Mike A. Harris <mharris@redhat.com>
- Folding the external Mesa into XFree86 created as many problems as it
  solved.  The DRI CVS trunk has a more permanent solution worth checking out.
- Since the V4L drivers have aparently been included in the main XFree86
  package all this time, I've removed the separate package.

* Mon Jun  4 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.1.5
- First stab at assimilating Mesa 3.4.2 package into XFree86 package
- Added missing symbols to glint driver (#42751)

* Mon Jun  4 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.0.2
- Rebuilt against Mesa 3.4.2 in new environment

* Sat Jun  2 2001 Mike A. Harris <mharris@redhat.com> 4.1.0-0.0.1
- XFree86 4.1.0 released - built 4.1.0-0.0.1

* Thu May 31 2001 Mike A. Harris <mharris@redhat.com> 4.0.99.901-0.0.6
- Remove GLw manpages since we don't ship libGLw (#41791)
- I finally got XIE and PEX disabled completely for sure this time absolutely
  no question.  No really...  It's gone.

* Wed May 30 2001 Mike A. Harris <mharris@redhat.com> 4.0.99.901-0.0.4
- Updated to 4.0.99.901, removed unneeded patches
- Removed Glide3 Provides/Obsoletes from devel package, and removed the
  Glide3 devel stuff from that package also - only X needs it during build
- Removed BuildGlide3 conditional - Glide3 will always be built from now on
- Added conditionals BuildPEX & BuildXIE.  These have officially been obsoleted
  by XFree86, and are no longer actively supported or used by anything.

* Mon May 28 2001 Mike A. Harris <mharris@redhat.com> 4.0.99.900-0.2.5
- Added "Options" database file, and also the following apps and their
  manpages:  dpsexec, dpsinfo, texteroids, xftcache
- Removed hardcopy doc creation code (groff) from specfile.  The XFree86
  makefiles have been fixed now to do this themselves properly.
- Removed Glide3 headers from XFree86-devel.  Only needed during build, no
  apps should be linking to Glide3.
- Simplified filelist for libs subpackage by using globs instead of hard
  coded library version numbers.
- Removed use-cpp patch, done with imake now.

* Sun May 27 2001 Mike A. Harris <mharris@redhat.com> 4.0.99.900-0.2.2
- Merged bero's changes to my local sources, and changed libXmuu inclusion
  from libXmuu.* to libXmuu.1.0, so that the *.so doesn't get picked up also,
  as it should be in the devel package.

* Mon May 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 4.0.99.900-0.2.1
- Add missing libXmuu.* files

* Sun May 20 2001 Mike A. Harris <mharris@redhat.com>
- Many fixes from H. J. Lu <hjl@gnu.org> including enhanced parallel make,
  xterm-xaw3d, pex patches, specfile updates, build enhancements and a
  partridge in a pear tree.  ;o)
- Fixed insane off-the-screen indenting levels in xfs.init

* Sat May 19 2001 Mike A. Harris <mharris@redhat.com>
- Updated to 4.0.99.900
- Updated with the latest parallelmake patch from H. J. Lu <hjl@gnu.org>
- Added new specfile option ParallelBuild, so that any parallel build
  stuff can be conditionally defined in the specfile in case the parallel
  make patch breaks in the future.

* Fri May 11 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build

* Wed May  9 2001 Mike A. Harris <mharris@redhat.com> 4.0.99.3-0
- Updated 4.0.99.x package to 4.0.99.3 release, forward ported all
  relevant changes that have occured in 4.0.3 packaging since March 27th
  until now, and brought the 4.0.3 specfile changelogs into the 4.0.99.3
  spec changelog.  The two releases should be syncronized now.

* Mon May  7 2001 Mike A. Harris <mharris@redhat.com> 4.0.3-14
- Syncronize XFree86 with Mesa 3.4.1-1
- Disable alpha-hack from May 3rd and add new patch from Compaq to replace it

* Fri May  4 2001 Mike A. Harris <mharris@redhat.com> 4.0.3-13
- Updated patch0 to latest XFree86 stable branch for 4.0.3.  Fixes many
  3dfx bugs in tdfx driver.
- Moved locale data from /usr/X11R6/lib/X11/locale in main package to
  XFree86-libs package where it belongs. (#38408)
- Corrected dumb reversal in XFree86CustomVersion Imake define in specfile
    
* Thu May  3 2001 Mike A. Harris <mharris@redhat.com> 4.0.3-12
- Reverted ia64-int10 patch from Alpha.
- Added XFree86-4.0.3-alpha-hack-bypass-int10bug.patch from
  Jay Estabrook for Alpha.

* Wed May  2 2001 Mike A. Harris <mharris@redhat.com> 4.0.3-11
- Removed RPM_BUILD_ROOT from glide section (#38031)
- Enabled XFree86-4.0.2-ia64-int10.patch on alpha as well for testing.

* Wed Apr 25 2001 Mike A. Harris <mharris@redhat.com>
- Added XFree86-4.0.3-compose-kill-ctrl-shift-t.patch to fix (#23473)

* Mon Apr 23 2001 Mike A. Harris <mharris@redhat.com>
- Added rhl-startupmessages patch to aide debugging and troubleshooting
  bug reports.  This should increase the usefulness of user submitted
  XFree86 log files and decrease the turnaround time on requesting info
  and waiting for someone to provide that info.  Patch doesn't do much yet,
  but will be enhanced later.
- Added xset manpage enhancement

* Sat Apr 21 2001 Mike A. Harris <mharris@redhat.com> 4.0.3-10
- ifarch'd XFree86-4.0.2-agpgart-load.patch to only apply on non-alpha

* Sat Apr 14 2001 Mike A. Harris <mharris@redhat.com> 4.0.3-9
- Removed dependancy of main XFree86 package on xfs by moving the XFree86
  server modules "/usr/X11R6/lib/modules/{codeconv,fonts}/*" from the xfs
  subpackage to the main XFree86 package as they never belonged in the xfs
  package in the first place.  This is an ancient packaging error.
- Added patch from Tim Waugh to fix Xaw password entry in vnc.  (#19231)

* Thu Apr 12 2001 Mike A. Harris <mharris@redhat.com>
- Killed ancient non-FHS compliant symlink to /usr/man/X11
- Disabled XFree86-4.0.3-savage-glitch.patch to fix (#34376)

* Mon Apr  9 2001 Mike A. Harris <mharris@redhat.com>
- Made glidelink get called before ldconfig in %%post libs

* Mon Apr  9 2001 Mike A. Harris <mharris@redhat.com> 4.0.3-8
- Simplified the main package %%pre script symlink munge code
- Fixed bug in %%post xfs section - inadvertently added in 4.0.3-6 release
- Disable patch #220 as it is unnecessary - taken care of via Imake ages ago.

* Sun Apr  8 2001 Mike A. Harris <mharris@redhat.com> 4.0.3-7
- Fixed (#32574) by adding a preinstall script on xdm which moves the dir
  /etc/X11/xdm/authdir to /var/lib/xdm/authdir if it exists, and symlinking
  /etc/X11/xdm/authdir to it.  Corrected the filelist for xdm to include
  these changes.
- Fixed alpha build failure with tga driver patch, ifdef with no macro.

* Fri Apr  6 2001 Mike A. Harris <mharris@redhat.com> 4.0.3-6
- Force enabled BuildXinerama and BuildXineramaLibrary in hosts.def
- FHS compliant manpage sections (4x/7x)

* Thu Apr  5 2001 Mike A. Harris <mharris@redhat.com>
- Added new patches submitted by Compaq for various drivers, etc.
  XFree86-4.0.3-compaq-alpha.patch, XFree86-4.0.3-compaq-glint.patch
  XFree86-4.0.3-compaq-radeon.patch, XFree86-4.0.3-compaq-r128.patch
  XFree86-4.0.3-compaq-mga.patch, XFree86-4.0.3-compaq-tga.patch
  (courtesy of Jay Estabrook)

* Thu Mar 29 2001 Mike A. Harris <mharris@redhat.com> 4.0.3-5
- XFree86 4.0.3 defaults to building libfreetype if Xft is being built,
  so freetype is now disabled with Imake defines.
- Removed shared libsXxf86dga and libXv hack I added on Mar 9 and
  did it properly with Imake defines.  Also fixes (#31232)

* Wed Mar 28 2001 Mike A. Harris <mharris@redhat.com> 4.0.3-4
- Added patch XFree86-4.0.3-glide3-libdir.patch so tdfx driver
  can find the Glide3 libs included with X package.
- Minor xfs.init fix
- Added XFree86-4.0.3-mga-hwcursor-fix.patch

* Tue Mar 27 2001 Mike A. Harris <mharris@redhat.com>
- Updated g450 port from 4.0.3 to XFree86-4.0.99.1-mga-g450-dualhead.patch
- Updated Savage driver dropin to version 1.15
- Added patches 405 - 408 from 4.0.3-4 build

* Sun Mar 25 2001 Mike A. Harris <mharris@redhat.com>
- Initial specfile fork of 4.0.99.1 from 4.0.3-3
- Removed unneeded patches:  XFree86-4.0.1-dri-sym.patch,
  XFree86-4.0.2-mga-busmstr.patch, XFree86-4.0.2-r128-busmstr2.patch,
  XFree86-4.0.2-r128-mobility.patch, XFree86-4.0.2-agpgart-load.patch,
  XFree86-4.0.2-r128-drm-do-wait-for-fifo.patch
- Updated patches: XFree86-4.0.99.1-parallelmake.patch,
  XFree86-4.0.99.1-locale-euro.patch, XFree86-4.0.99.1-winkey-alt-meta.patch  

* Fri Mar 23 2001 Mike A. Harris <mharris@redhat.com> 4.0.3-3
- Drumroll...... Final (or is it?) working G450 dualhead update.  ;o)

* Thu Mar 22 2001 Mike A. Harris <mharris@redhat.com>
- Added pam patch for xdm from Nalin <nalin@redhat.com> Patch404

* Wed Mar 21 2001 Mike A. Harris <mharris@redhat.com>
- Fixed uninitialized memory reference in xlib (Patch401)  (#32222)
- Make libs subpackage depend on kudzu-devel, pciutils-devel for 
  Glide3 (#32534)
- Matrox G450 updates

* Mon Mar 19 2001 Mike A. Harris <mharris@redhat.com> 4.0.3-2
- Fixed glitch in %%post xfs section of spec (#32281)
- Set "umask 133" in xfs initscript so that fonts.dir/fonts.alias files 
  created during script execution work also for non-root users that may
  have changed root's umask.
- Updated Mesa dependancy in specfile to 3.4-13

* Sun Mar 18 2001 Mike A. Harris <mharris@redhat.com>
- Removed XFree86-4.0.1-xterm-appdefaults.patch as it was redundant

* Sat Mar 17 2001 Mike A. Harris <mharris@redhat.com> 4.0.3-1
- New XFree86 4.0.3 released and integrated.
- Updated patches for 4.0.3, removed unneeded patches.
- Built 4.0.3-1

* Fri Mar 16 2001 Mike A. Harris <mharris@redhat.com>
- Reverted G450 driver back to dwmw2's driver.
- Built 4.0.2a-2

* Thu Mar 15 2001 Mike A. Harris <mharris@redhat.com> 4.0.2a-1
- Added XFree86-4.0.2-locale.patch from Phil Knirsch <pknirsch@redhat.com>
  which should fix all problems with euro locales, and other locale issues
  including bug id's (26300,21882,28447, others)
- xfs crash errors should all be fixed now by the XFree86 stable branch
  patch.  Bugzilla (#22538)

* Wed Mar 14 2001 Mike A. Harris <mharris@redhat.com> 4.0.2a-1
- New patch XFree86-4.0.2a-mga-g450-dual_6.patch - G450 driver update 
  from Luugi Marsan <lmarsan@matrox.com>
- Added new euro locale stuff from Phil Knirsch <pknirsch@redhat.com>
- Added XFree86-4.0.2-r128-drm-do-wait-for-fifo.patch from Gareth Hughes
  which should fix the r128 errors in (#26999)
  
* Tue Mar 13 2001 Mike A. Harris <mharris@redhat.com>
- Added provides entries for Glide3 in libs and devel subpackages
- Take 2 of XFree86-4.0.2a-im-being-included-and-i-cant-get-up2.patch
- Moved XftConfig file to /etc/X11 and made compatibility symlink.

* Fri Mar  9 2001 Mike A. Harris <mharris@redhat.com>
- Updated main tarball to 4.0.2a (even though it's the same code we had before
  with 4.0.2 + stable branch patch).
- Updated stable branch patch to bring 4.0.2a up to date with xf-4_0_2a-branch
- Nvidia nv driver updated with MANY fixes from XFree86 stable branch
- Added shared libraries: libXv.so, libXxf86dga.so
- Re-enabled Sparc build.  That machine is slow, someone
  needs to put a spark under it to get it going.  ;o)
- Fixed (#13882) with XFree86-4.0.2-winkey-alt-meta.patch
- Fixed (#19308) added X11R6-contrib obsolesence

* Fri Mar  9 2001 Bill Nottingham <notting@redhat.com> 4.0.2-12.1
- fix glide dependencies

* Thu Mar  8 2001 Mike A. Harris <mharris@redhat.com> 4.0.2-12
- Fixed alpha/ia64 build problems
- Built 4.0.2-12

* Tue Mar  6 2001 Mike A. Harris <mharris@redhat.com>
- Created XFree86-4.0.2-r128-mobility.patch to enable external display
  on Rage Mobility laptops, etc.
- Added XFree86-4.0.2-xft-match.patch (from Bero) (#30836)
  
* Mon Mar  5 2001 Mike A. Harris <mharris@redhat.com>
- Added XFree86-4.0.2-alpha-pci-resource.patch (#30417)

* Sat Mar  3 2001 Mike A. Harris <mharris@redhat.com>
- Glide3 is back (was previously removed on Feb 22)
- Removed loaderProcs.h hack, and replaced with a patch.
- Tidied up a tonne of XFree build warnings
- Added XFree86-4.0.2-im-being-included-and-i-cant-get-up.patch stop
  loaderProcs.h from being wrongly included in building Xnest due to
  a compiler bug.

* Fri Mar  2 2001 Mike A. Harris <mharris@redhat.com>
- Added mga and r128 busmaster patches that Todd Nix <todd@xymox.us.dell.com>
  sent me from Kevin E Martin <martin@valinux.com>.

* Wed Feb 28 2001 Mike A. Harris <mharris@redhat.com> 
- Updated xf-4_0_2-branch patch to todays latest stable code
- Removed unneeded patches after update: XFree86-4.0.2-time.patch,
  XFree86-4.0.2-sis-unresolved-memcpy.patch    
- Added XFree86-4.0.2-agpgart-load.patch from Bill Nottingham to force
  load AGPgart kernel module when a DRI module is loaded.
- Fixed "chmod" in xfs.init (#18573)
- Added BuildPreReq ncurses-devel
- Repaired ia64 int10 patch
- Tidied up specfile, particularly the host.def generation section, and 
  incorporated xfree86.def mess into host.def section where it belongs.

* Tue Feb 27 2001 Mike A. Harris <mharris@redhat.com> 4.0.2-11
- Added updated driver for Savage chipset.  Should fix all known issues
  with Savage cards that I'm aware of.
- Removed Prereq of chkfontpath on xfs subpackage and modified xfs initscript
  to only call chkfontpath if it is installed.
  
* Mon Feb 26 2001 Mike A. Harris <mharris@redhat.com> 4.0.2-10
- Added specfile %%pre fix for (#26857) - problem upgrading to
  Wolverine from Red Hat 5.2 due to directory/symlink fu glitch.
- Enabled Utempter for xterm with "UseUtempter" in specfile
- Added neomagic softcursor patch for (Helge Deller <hdeller@redhat.de>)
- Built 4.0.2-10
- Created patch XFree86-4.0.2-sis-unresolved-memcpy.patch to fix
  bugs (#19530,24670)

* Fri Feb 23 2001 Mike A. Harris <mharris@redhat.com>
- Added spec hack to fix bad include of loaderProcs.h in miinitext.c
  I believe this fixes some of the r128 DRI problems.  I can't get
  r128 DRI to crash anymore now anyways.  It isn't mind blowingly 
  fast though.  May have fixed other problems as well.  X seems much
  smoother now, and VT switching is much faster also.

* Thu Feb 22 2001 Mike A. Harris <mharris@redhat.com>
- Added ExcludeArch tag to quell failed sparc builds (unsupported)
- Re-enabled DRI for mga/r128, but they still do not work

* Sat Feb 17 2001 Mike A. Harris <mharris@redhat.com>
- Updated fix for xfs death bug with truetype fonts.
- Added chkfontpath require to xfs subpackage (#19603)
- Added XFree86-4.0.2-banshee-ramtiming.patch to fix (#26351,#18810)
- Added ia64-int10 patch. (Bill Nottingham)

* Thu Feb 15 2001 Mike A. Harris <mharris@redhat.com>
- Fixed xfs.config

* Tue Feb 13 2001 Mike A. Harris <mharris@redhat.com>
- Disabled DRI drivers r128 and mga because they are broken.
- Built XFree-4.0.2-8
- Fixed bad noarch thing
- Built XFree-4.0.2-9

* Mon Feb 12 2001 Mike A. Harris <mharris@redhat.com>
- Merged in separate XFree86-ISO8859-2 font package

* Sun Feb 11 2001 Mike A. Harris <mharris@redhat.com>
- Added 1400x1050 modeline patch for newer laptops
- Misc fixups
- Disabled DRM kernel module building as we don't use these modules
  anyway.
- Updated 4.0.2-branch patch
- Updated XFree86-4.0.2-xfree86.lst.patch

* Thu Feb 08 2001 Mike A. Harris <mharris@redhat.com>
- Internationalized xfs and xdm initscripts

* Wed Feb 07 2001 Mike A. Harris <mharris@redhat.com>
- New fix for Cirrus 5480 (H.J. Lu)
- Matrox g450 patch that _hopefully_ works this time (from dwmw2)

* Tue Feb 06 2001 Mike A. Harris <mharris@redhat.com>
- (#25890,#26131) tdfx dri driver not included.. specfile mixup, fixed.
- (#23896) Added option for building with Glide2 (default=off).  Dunno if
  it works or not as I'm not testing it.  If someone wants to further the
  enhancement at all, I'll accept specfile patches to add any missing bits. ;o)
- (#25131) Fixed xfs.config file glitch (Truetypex typos), and a similar
  bug in specfile hack.
- Updated to recent XFree86 stable bug fixes (Patch #1)
- Fix temp files vulnerabilites in xman on systems with mkstemp()
- Fix temp vulnerabilities in Xaw/MultiSrc.c
- Fix temp file vulnerability in gccmakedep based on report from Alan Cox.
- Fix temp file vulnerability in Imake.rules
- Fix temp file vulnerability in InstallManPageAliases
- Fix Neomagic 2200 screen corruption
- Add an imake control for determining when xload should be installed set-gid

* Thu Jan 25 2001 Mike A. Harris <mharris@redhat.com>
- Added g450 patch from Matrox.  Lets see some dualhead action baby!
- Filtered out M$ Windows CR's from the Matrox patch, hope I got them
  all.  Windows bad, Linux good.  ;o)
- Removed all prior g450 patches as the new one repaces them all
- Many spec file simplifications, and general tidy up job.

* Wed Jan 24 2001 Bill Nottingham <notting@redhat.com>
- fix perms on xload

* Wed Jan 24 2001 Matt Wilson <msw@redhat.com>
- chmod 644 XftConfig before piping to it

* Wed Jan 24 2001 Mike A. Harris <mharris@redhat.com>
- Disable Cirrus 5480 patch as it wont apply cleanly to 4.0.2.
- Removed v4l patch - its in 4.0.2 already
- (#23701) devel dependant on libs instead of main package.
- Added TrueType font dirs to config files for the ttfonts package
- Numerous other tweaks
- XFree86-4.0.2-4 built

* Tue Jan 23 2001 Mike A. Harris <mharris@redhat.com>
- Fixed xfs initscript to only start at boot time if X is installed.
- Put eurofonts package back and fixed it up with suggestions from
  H. J. Lu - as 2 font files are still needed.
- Changed xload %%install time chmod to %%attr instead
- Tidied up %%install section, removing redundancies.
- Added Cirrus Logic 5480 patch from from Egbert Eich (#24177)

* Mon Jan 22 2001 Mike A. Harris <mharris@redhat.com>
- Removed manpage "hack" section from specfile
- Removed eurofont tarball entirely.  It's included in X already under
  different names now.
- Removed mga, ATI, mesa patches from yesterday as they fail the
  build requiring many other missing items.
  
* Sun Jan 21 2001 Mike A. Harris <mharris@redhat.com>
- Added ATI driver patch from XFree CVS - lots of new fixes
- Added mga driver patch from XFree CVS (mainly for G450)
- Added mesa patch from XFree CVS
- Added BuildPrereq: pam-devel  (Bill Crawford <billc@netcomuk.co.uk>)
- Commented out BuildPrereq: pam-devel as it failed me
- Remove eurofont .bdf files after pcf's are created to quell duplicate
  font errors.

* Sat Jan 20 2001 Mike A. Harris <mharris@redhat.com>
- Added Xft update from XFree CVS
- Updated %%clean section
- Changed specfile bunzip references to bzcat
- Fixed all specfile references of "tar x" to "tar xf -"
- Added romanian-keyboard-fix from Cristian Gafton <gafton@redhat.com>

* Thu Jan 18 2001 Mike A. Harris <mharris@redhat.com>
- ATI r128 update from ATI.

* Wed Jan 17 2001 Mike A. Harris <mharris@redhat.com>
- Disabled tdfx builds as they die with missing glide3 libs
  (at least in RHL 7.0 it does)

* Tue Jan 16 2001 Mike A. Harris <mharris@redhat.com>
- Added BuildPrereq: flex >= 2.5.4a
- Added BuildPrereq: freetype-devel >= 2.0.1
- Added BuildPrereq: Glide3-devel >= 20001220 for tdfx

* Mon Jan 15 2001 Mike A. Harris <mharris@redhat.com>
- Updated fhs patch for 4.0.2
- Updated portuguese patch for 4.0.2

* Thu Jan 11 2001 Mike A. Harris <mharris@redhat.com>
- Integrated Matrox G450 driver for testing from Matrox

* Mon Jan 8 2001 Mike A. Harris <mharris@redhat.com>
- Added xfree86.lst patches from Brent Fox and also (#5977)
 
* Sat Jan 6 2001 Mike A. Harris <mharris@redhat.com>
- Misc spec file fixups

* Fri Jan 5 2001 Mike A. Harris <mharris@redhat.com>
- Integrated ATI driver from Michael Smith <msmith@ati.com>

* Wed Jan 3 2001 Mike A. Harris <mharris@redhat.com>
- Built 4.0.2 release 1

* Thu Dec 28 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add a couple of missing man pages, noted by Thayne Harbaugh <thayne@plug.org>
- Use system freetype, now that we've updated
- Add missing XftConfig file

* Thu Dec 28 2000 Bill Nottingham <notting@redhat.com>
- don't list the driver modules explicitly; ship them all

* Thu Dec 21 2000 Bill Nottingham <notting@redhat.com>
- integrate tdfx_dri into main XFree86 package

* Tue Dec 19 2000 Bill Nottingham <notting@redhat.com>
- fix typos in xkb symlink/dir munging

* Tue Dec 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add missing Xft (Xrender) includes in -devel
- Move xkb files back to their old locations, we can't replace directories
  with symlinks
- Add /etc/X11/xkb -> /usr/X11R6/lib/X11/xkb symlink for compatibility
- 4.0.2
- Get rid of twfix patch (it's in 4.0.2)
- Patch 302 must be applied with -p0, not -p1
- Add a %%clean section
- Get rid of /etc/X11/xdm/xdm-config in XFree86-xdm. Since kdm uses it, as well,
  it should be in xinitrc

* Thu Dec 14 2000 Mike A. Harris <mharris@redhat.com>
- Added XFree86-4.0.1-twfix.patch from bhuang@redhat.com to fix
  zh_TW locale.
- Added locale.alias patch from Jakub Jelinek.
- Removed unneeded patches, and tidied spec file a bit (yeah right). ;o)

* Wed Dec 13 2000 Bill Nottingham <notting@redhat.com>
- tweak the -pic patch so it works with the ELF loader (in theory)
- don't try and build the kernel modules

* Sun Dec 10 2000 Bill Nottingham <notting@redhat.com>
- reapply the parallelmake patch
- hm, libX11 and libXmu are now .6.2

* Sat Dec 9 2000 Mike A. Harris <mharris@redhat.com>
- Updated to CVS version xf-4.0.1Z

* Sat Dec  9 2000 Bill Nottingham <notting@redhat.com>
- add back in some patches (FHS, Xwrapper)
- make it build on ia64 (hopefully)

* Fri Dec 8 2000 Mike A. Harris <mharris@redhat.com>
- Added patch XFree86-4.0.1h-xf86Wacom.c-kernelheaderclash.patch to
  fix 4.0.1h build failure.

* Wed Dec 6 2000 Mike A. Harris <mharris@redhat.com>
- Fixed bug (#21303) changed 2 uses of arch "i386" to "%{ix86}"
- Remove dependancy on tar 1.13.18 by calling bunzip2 and piping to tar
- Removed I810Drm.tar.gz entirely as it smashes other dri code (mga,etc)
  and is ancient

* Wed Dec 6 2000 Mike A. Harris <mharris@redhat.com>
- Updated to CVS version xf-4.0.1h which includes many updates and
  integrates many Red Hat patches directly into XFree86 CVS.

* Sat Nov 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current. This should fix, among other things, DRI/DRM stuff on
  Matrox cards and i18n.
- Fix build with tar 1.13.18
- Add XKB patch for Romanian keyboards from Christian Gafton <gafton@redhat.com>
- Fix up Euro sign support

* Wed Oct 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't apply the PIC patch on non-ia64 platforms, it breaks X startup on x86.

* Mon Sep 25 2000 Bill Nottingham <notting@redhat.com>
- minor tweaks for ia64/glibc-2.2 build

* Thu Aug 24 2000 Bill Nottingham <notting@redhat.com>
- never mind, it doesn't. Wheee.

* Wed Aug 23 2000 Bill Nottingham <notting@redhat.com>
- oops, the r128 mobility patch breaks regular r128 cards

* Tue Aug 22 2000 Bill Nottingham <notting@redhat.com>
- fix DGA for real
- add support for the r128 Mobility chips

* Tue Aug 15 2000 Bill Nottingham <notting@redhat.com>
- fix xterm app-defaults file (#13584)
- don't build a shared xdm greeter lib

* Mon Aug 14 2000 Bill Nottingham <notting@redhat.com>
- fixes for MGA dri (text corruption)
- spell Portuguese correctly in keymap list (#12343)
- fix some absolute symlinks (#16133)
- fix xman's man config path (#15974)
- fix broken xdm pam code (#15952)
- fix bug in ATI driver (#14344)

* Fri Aug 11 2000 Bill Nottingham <notting@redhat.com>
- revert some of the i810 code; it breaks VC switching

* Sun Aug  6 2000 Bill Nottingham <notting@redhat.com>
- fix DGA so that 4.x-compiled DGA1 apps can run against 3.3.x servers
- fix tempfile handling in makedepend
- use cpp, not gcc -E 

* Fri Aug  4 2000 Bill Nottingham <notting@redhat.com>
- more CVS updates (Neomagic fixes, some i810)
- fix sparc build

* Thu Aug  3 2000 Bill Nottingham <notting@redhat.com>
- do *not* do xfs stop/start in condrestat

* Wed Aug  2 2000 Bill Nottingham <notting@redhat.com>
- update CVS (i810 fixes, others)
- move some more files out of -xdm, into xinitrc package
- remove /usr/share/fonts/default/TrueType from default xfs config (#14683)
- fix weirdness in the i810 driver update

* Wed Aug  2 2000 Matt Wilson <msw@redhat.com>
- hack to work around gcc bug triggered by xwd (patch207)
- modified xfs post script to add in no-listen = tcp per Bill's request

* Tue Jul 25 2000 Elliot Lee <sopwith@redhat.com>
- Some i810/i815 stuff (new I810Drm.tar.gz, updated to xf4.0.1-I810copy.patch only to find out
that it is already included in this source tree).

* Mon Jul 24 2000 Bill Nottingham <notting@redhat.com>
- add patch for xf86 vidmode extension
- add icelandic keymap to list of keymaps

* Sat Jul 22 2000 Bill Nottingham <notting@redhat.com>
- hey, we recognize the geforce2 now. Wonder if it works. :)

* Thu Jul 19 2000 Bill Nottingham <notting@redhat.com>
- oops, I broke the sparc Mach64 patch on sparc

* Wed Jul 18 2000 Bill Nottingham <notting@redhat.com>
- move initscript back
- update CVS
- remove Mesa (use its own separate package for easier updating)
- kill the GL wrapper
- fix linking of dri modules so that symbol resolution with Mesa works right
- add sparc Mach64 patch from DaveM
- fix sparc Mach64 patch so it builds
- add ffb patch from Jakub
- fix xfs user creation

* Fri Jul 14 2000 Elliot Lee <sopwith@redhat.com>
- Fix Mesa library version info
- Set Mesa package version to reflect Mesa version (not the XFree86
  version), and set release to something that will facilitate upgrades
  from older Mesa pkgs while still being informative.
- Only pass -j to toplevel make, which takes care of passing it on down.

* Thu Jul 13 2000 Preston Brown <pbrown@redhat.com>
- fixed xfs condrestart to do a real stop/start.
- fonts.* files in font directories are config(noreplace)

* Thu Jul 13 2000 Elliot Lee <sopwith@redhat.com>
- Update Mesa to 3.2 release.
- Use mmx/sse/x86 stuff for Mesa on 386 and up, not just if building for 686 (since MMX is
available on 586 many times, and since the functionality is runtime-configured).
- Try to integrate newer i810/i815 driver (unfinished)

* Mon Jul 10 2000 Bill Nottingham <notting@redhat.com>
- update CVS while I'm here
- don't use ix86 PCI code on ia64
- fix some int/long bogosity in some of the drivers

* Sat Jul  8 2000 Bill Nottingham <notting@redhat.com>
- update CVS
- build with new compiler to fix Xserver problems on i386
- add parallel make patch from H. J. Lu

* Tue Jul  4 2000 Bill Nottingham <notting@redhat.com>
- oops, open the right software Mesa lib
- build DRI everywhere

* Mon Jul  3 2000 Bill Nottingham <notting@redhat.com>
- fix Mesa install
- add Romanian keymap so keymaps get installed

* Sun Jul  2 2000 Bill Nottingham <notting@redhat.com>
- add console.apps file for xserver (#13325)
- prereq chkfontpath for font packages
- update CVS
- bump version to 4.0.1
- add lemming patch

* Fri Jun 30 2000 Bill Nottingham <notting@redhat.com>
- update CVS, sparc patches now included
- ship pam files
- point X symlink to Xwrapper, not XFree86

* Thu Jun 29 2000 Bill Nottingham <notting@redhat.com>
- fix pamsession, xfsredhat patches
- turn off joystick, it relies on magic symbols defined *nowhere*

* Wed Jun 28 2000 Preston Brown <pbrown@redhat.com>
- merged in a bunch of patches from 3.3.6 that somehow got dropped including:
- xkb changes
- some xfs changes
- xterm app-defaults
- pam session fix for xdm
- define some paths in host.def instead of a wild mess of patches
- kill compat links from /etc/X11/<dirname> to /usr/X11R6/lib/X11/<dirname>

* Wed Jun 28 2000 Bill Nottingham <notting@redhat.com>
- add Mesa wrapper
- put Mesa libs in /usr/lib
- return of Xwrapper
- take setuid off XFree86

* Wed Jun 28 2000 Jakub Jelinek <jakub@redhat.com>
- remove 3 obsolete SPARC patches
- add 2 new ones

* Tue Jun 27 2000 Bill Nottingham <notting@redhat.com>
- put setuid on XFree86 (temporary)
- yank setuid off xload 
- put the xfs %%pre back in
- xfs initscript munging
- fix ia64 patches

* Tue Jun 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current CVS

* Thu Jun 22 2000 Bill Nottingham <notting@redhat.com>
- return of the font %%post/%%postuns
- move some of the xdm stuff to xinitrc
- put libglut in with Mesa

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- build glint module on alpha

* Thu Jun 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up Xaw (Bugs #11404 and #11426)
- more FHS fixes (fix bug #11358 and some related unreported bugs)

* Wed Jun 14 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- split off Mesa and Mesa-devel
- FHSify
- fix build on alpha and ia64

* Wed Jun  7 2000 Bill Nottingham <notting@redhat.com>
- merge in ia64 fixes

* Fri Jun  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- change PAM configuration to use system-auth
- build fix for Sparc

* Tue May 23 2000 Jakub Jelinek <jakub@redhat.com>
- don't define GlxStubLib if DllModules is not defined -
  otherwise things don't compile on i386

* Mon May 22 2000 Jakub Jelinek <jakub@redhat.com>
- support ffb, leo and cg6 on sparc
- only switch to dlopen() loader on selected architectures

* Thu May 11 2000 Bill Nottingham <notting@redhat.com>
- switch to dlopen() loader

* Wed May 10 2000 Bill Nottingham <notting@redhat.com>
- add man pages to -devel

* Sun May  7 2000 Bill Nottingham <notting@redhat.com>
- more directory shuffles

* Fri May  5 2000 Bill Nottingham <notting@redhat.com>
- more random fixes

* Wed May  3 2000 Bill Nottingham <notting@redhat.com>
- various fixes
- fix specfile for ia64
- merge drivers back into XFree86 package

* Sun Apr 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update xf86cfg
- fix up the xf86cfg patch
- various fixes

* Thu Apr 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up x11perfcomp and move it to -tools
- Fix up xfs (missing init script...)
- chkconfig'ize xfs
- move pswrap to -devel

* Sat Apr  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add xf86cfg (successor to XF86Setup, taken from the XFree86 4.0a tree
  with permission from the patch author)
- Move the directory fixup stuff from %pre to %triggerpostun -- XFree86 < 3.9
  We don't want to fix things twice...

* Wed Apr  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix post script breakage
- Disable build root strip policy (drivers can't be stripped)
- strip the stuff we can safely strip manually
- add /usr/include stuff
- add some stuff from Mesa - we don't really want to obsolete Mesa
  without providing GLU and glut.
- move some man pages from XFree86 to XFree86-tools, where they belong.
- move some files to subpackages:
  beforelight, xclipboard, xclock, xfd, xieperf, xmag, xwininfo are now
  in XFree86-tools (rather than XFree86)
  makeg is now in XFree86-devel (rather than XFree86)
- obsolete Mesa, glxMesa* and xpm in -libs
- hope it still compiles

* Tue Apr  4 2000 Jakub Jelinek <jakub@redhat.com>
- Even move sparc tweaks

* Sat Apr  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Make it compile on sparc (Patch from Jakub Jelinek <jakub@redhat.com>,
  some additional fixes from me)
- Autodetect the right version of Tcl/Tk
- remove xinitrc, we get it from the xinitrc package

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- More fixes
- Fix compilation on alpha
- TODO: Port our 3.3.6 patches

* Wed Mar 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add the man pages ;)
- Merge some patches from the RPMs at seawood.org
- Various fixes

* Mon Mar 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Initial RPM

